(*===========================================================================*)
(* ASCII Character constants                                                 *)
(*                                                                           *)
(*   Copyright 1988 by H. Roy Engehausen.  All rights reserved.              *)
(*   This software may be freely distributed and used, but it may not        *)
(*   under any circumstances be sold by anyone other than the author.        *)
(*   It may be distributed by a commercial company as long as it is          *)
(*   for no cost.                                                            *)
(*                                                                           *)
(*===========================================================================*)

CONST
  soh               = #$01;              (* Start header                     *)
  bell              = #$07;              (* Ring Bell                        *)
  bs                = #$08;              (* Backspace                        *)
  lf                = #$0A;              (* Line feed                        *)
  cr                = #$0D;              (* Carriage return                  *)
  dle               = #$10;              (* Data link escape                 *)
  etb               = #$17;              (* End text block                   *)
  up_arrow          = #$18;              (* Up arrow                         *)
  down_arrow        = #$19;              (* Down arrow                       *)
  eof_chr           = #$1A;              (* End of file                      *)
  escape            = #$1B;              (* Escape                           *)

