(*===========================================================================*)
(* Load action file                                                          *)
(*                                                                           *)
(*   Copyright 1990, 1991 by H. Roy Engehausen.  All rights reserved.        *)
(*                                                                           *)
(*===========================================================================*)

(*===========================================================================*)
(* Load action                                                               *)
(*===========================================================================*)

PROCEDURE load_action(execute_who : CHAR);

  VAR
    action_file      : TEXT;
    action_word      : STRING[20];
    execute_load     : BOOLEAN;
    execute_make     : BOOLEAN;
    execute_clean    : BOOLEAN;
    i                : INTEGER;
    invert_flag      : BOOLEAN;
    j                : INTEGER;
    last_msg_action  : action_msg_ptr;
    new_msg_action   : action_msg_ptr;
    options_str      : str15;
    search_info      : search_block_type;
    str_ptr          : ^STRING;
    s1               : STRING;
    s2               : STRING;

  LABEL
    iterate;

  {$I BBACTLT.PAS}  (* Sub procedure to validate a search arguement *)
  {$I BBACTLC.PAS}  (* Sub procedure to chain an action             *)
  {$I BBACTLB.PAS}  (* Sub procedures to validate and build         *)
  {$I BBACTLF.PAS}  (* Sub procedure to make file                   *)
  {$I BBACTLH.PAS}  (* Sub procedure to clean things                *)
  {$I BBACTLM.PAS}  (* Main line                                    *)

