(*===========================================================================*)
(* Test a search arguement                                                   *)
(*                                                                           *)
(*   Copyright 1990, 1991 by H. Roy Engehausen.  All rights reserved.        *)
(*                                                                           *)
(*===========================================================================*)

  (*=========================================================================*)
  (* Sub procedure to validate a search arguement                            *)
  (*=========================================================================*)

  PROCEDURE test_search;

    BEGIN;

      {$IFDEF DEBUG2}
        WRITELN('Action verify -- ', s1);
        DELAY(1000);
      {$ENDIF}

      free_task_mem(search_memory_block_id, TRUE);

      set_search(s1, @search_info);

      IF active_tcb^.error_sw THEN
        send_tnc_data_str('Invalid search on action -- ' + s1 + cr);

      {$IFDEF DEBUG2}
        WRITELN('Action verify done -- ', ORD(active_tcb^.error_sw));
        DELAY(1000);
      {$ENDIF}

    END;
