(*===========================================================================*)
(* Action command processor -- Miscellaneous                                 *)
(*                                                                           *)
(*   Copyright 1991 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*===========================================================================*)

(*===========================================================================*)
(* Length of search block                                                    *)
(*===========================================================================*)

FUNCTION length_search_block(s : search_block_ptr) : WORD;

  BEGIN;

    IF POS(s^.search_type, search_string_types) = 0 THEN
      length_search_block := search_overhead_length_other
    ELSE
      length_search_block := WORD(search_overhead_length_string)
                                                       + LENGTH(s^.search_str);

  END;
