(*===========================================================================*)
(* File subsystem -- list directories                                        *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1991, 1992 by H. Roy Engehausen.  All rights      *)
(*   reserved.                                                               *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

{$UNDEF  DEBUG_DMORE} (* Debug directory more *)

UNIT BBFSW;

INTERFACE

  PROCEDURE list_dir_cmd(cmd_string : STRING);

  IMPLEMENTATION

  USES
    DOS,
    bbdummy,
    bbfsm,
    bbmem,
    bbmdata,
    bbmess,
    bbmisc5,
    bbmore,
    bbsdata,
    bbstr,
    bbtask,
    bbtime,
    bbwin,
    match;

  PROCEDURE list_dir_cmd(cmd_string : STRING);

  VAR
    found    : BOOLEAN;
    word_count : BYTE;

  {$I BBFSI.PAS}
  {$I BBFSWDL.PAS}
  {$I BBFSWAD.PAS}

  BEGIN;

    (*-----------------------------------------------------------------------*)
    (* Parse command and execute right routine                               *)
    (*-----------------------------------------------------------------------*)

    upcase_str_var(cmd_string);

    word_count := words(cmd_string);

    IF word_count = 1 THEN
      list_dir_list
    ELSE
      list_a_dir;

  END;

END.
