(*===========================================================================*)
(* Forward task -- Routing                                                   *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991 by H. Roy Engehausen.  All rights      *)
(*   reserved.                                                               *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

{$DEFINE POINT_CHK}
{$DEFINE FREE_CHK}

UNIT BBFWDR;

INTERFACE

  PROCEDURE do_route;

IMPLEMENTATION

  USES
    CRT,
    bbdump,
    bbdummy,
    bbfnr,
    bbfwd,
    bbfwdc,
    bbfwdd,
    bblog,
    bbmem,
    bbmf,
    bbmisc3,
    bbmisc5,
    bbsdata,
    bbsema2,
    bbstr,
    bbtask,
    bbtime,
    bbwin,
    match;

  (*-------------------------------------------------------------------------*)
  (* The actual code                                                         *)
  (*-------------------------------------------------------------------------*)

  {$I BBFWDRC.PAS}                        (* Clean routines                  *)
  {$I BBFWDRM.PAS}                        (* Main route handler              *)

END.
