(*===========================================================================*)
(* Forward task -- Slave                                                     *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991, 1992 by H. Roy Engehausen.  All       *)
(*   rights reserved.                                                        *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

{$DEFINE POINT_CHK}
{$UNDEF  DEBUG_SIZE} (* Debug SIZE operand *)
{$UNDEF  DEBUG_TYPE} (* Debug TYPE operand *)
{$UNDEF  DEBUG_T}    (* Debug T statement  *)
{$UNDEF  DEBUG_SCR}  (* Debug scripts      *)
{$UNDEF  DEBUG_PORT} (* Debug port switch  *)

UNIT BBFWDS;

INTERFACE

USES
  bbfwdd;

PROCEDURE forward_to_remote;
PROCEDURE forward_main   (path_common : path_block_ptr);
PROCEDURE forward_loop   (path_common : path_block_ptr);
FUNCTION  reverse_forward : BOOLEAN;
FUNCTION  forward_time_script(path_common : path_block_ptr) : BOOLEAN;

VAR
  path_common_temp : path_block_ptr;

IMPLEMENTATION

USES
  bbanswer,
  bbbpa,
  bbdummy,
  bbfssf,
  bbfu,
  bbfwdp,
  bbfwdr,
  bbfwdt,
  bblc,
  bblog,
  bbmdata,
  bbmess,
  bbmf,
  bbmisc,
  bbmisc3,
  bbmisc4,
  bbmisc5,
  bbrdata,
  bbsdata,
  bbsema2,
  bbsess,
  bbsmc,
  bbsrt,
  bbstack,
  bbstr,
  bbtask,
  bbtime,
  bbtrace,
  bbwin,
  match;

{$I BBFWDST.PAS}             (* Handle the forward script lines for TIME     *)
{$I BBFWDSS.PAS}             (* Handle the forward script lines              *)
{$I BBFWDSL.PAS}             (* Forward loop                                 *)
{$I BBFWDSM.PAS}             (* Main forward                                 *)
{$I BBFWDSR.PAS}             (* Slave task start                             *)
{$I BBRFWD.PAS}              (* Reverse forward                              *)

END.
