PROGRAM bbmcopy;

TYPE t = ARRAY[1..16] OF BYTE;

VAR

  dummy : t;

  i   : LONGINT;
  j   : WORD;
  k   : WORD;
  off : LONGINT;

  ifile  : FILE OF t;

  ofile  : FILE OF t;

BEGIN;
  ASSIGN(ifile, 'IN');
  ASSIGN(ofile, 'OUT');


  RESET(ifile);
  REWRITE(ofile);

  off := 254256;

  off := off DIV SIZEOF(t);

  i := 0;
  j := 0;

  WHILE i < off DO
    BEGIN;
      INC(i);
      INC(j , SIZEOF(t));
      IF j > 1000 THEN
        BEGIN;
          WRITELN(i * SIZEOF(t), ' bytes offset');
          j := 0;
        END;
      READ(ifile, dummy);
    END;

  WRITELN('Offset complete');

  i := 0;
  j := 0;
  WHILE NOT EOF(ifile) DO
    BEGIN;
      INC(j , SIZEOF(t));
      IF j > 1000 THEN
        BEGIN;
          INC(i, j);
          WRITELN(i, ' bytes copied');
          j := 0;
        END;
      READ(ifile, dummy);
      WRITE(ofile, dummy);
    END;

  CLOSE(ofile);
  CLOSE(ifile);

END.
