(*===========================================================================*)
(* Run error messages                                                        *)
(*                                                                           *)
(*   Copyright 1989, 1991 by H. Roy Engehausen.  All rights reserved.        *)
(*                                                                           *)
(*===========================================================================*)

UNIT BBRUNERR;

INTERFACE

CONST

(*===========================================================================*)
(* Caused by DOS                                                             *)
(*===========================================================================*)

  dos_ok            = 0;       (* Everything ok                              *)
  dos_not_found     = 2;       (* File not found                             *)

(*===========================================================================*)
(* These are mine                                                            *)
(*===========================================================================*)

  yapp_error         = 230;     (* Internal error in YAPP                    *)
  mbbios_not_found   = 231;     (* MBBIOS wasn't found                       *)
  nil_subj           = 232;     (* NIL subject found in SR processing        *)
  ovr_error          = 233;     (* Overlay error                             *)
  swp_error          = 234;     (* Swap error                                *)
  free_list_error    = 235;     (* Corrupted free chain                      *)
  max_msg_number_err = 236;     (* Max msg number reached                    *)
  bpq_overrun        = 237;     (* BPQ host mode buffer overrun              *)
  action_error       = 238;     (* Action bad                                *)
  msg_runerr         = 239;     (* Msg corruption                            *)

IMPLEMENTATION
END.
