(*===========================================================================*)
(* User file miscellaneous                                                   *)
(*                                                                           *)
(*   Copyright 1991 by H. Roy Engehausen.  All rights reserved               *)
(*                                                                           *)
(*===========================================================================*)

(*===========================================================================*)
(* Get a uid buffer                                                          *)
(*===========================================================================*)

FUNCTION get_uid_buffer : user_record_ptr;

  VAR
    p : user_record_ptr;

  BEGIN;

    p := find_task_mem_addr(uid_buffer_mem_str);

    IF p = NIL THEN
      p := get_task_mem(uid_buffer_mem_str, SIZEOF(user_record_type));

    get_uid_buffer := p;

  END;
