/* bm.h -- definitons for bm.c that aren't included elsewhere */

#define FIDOROOT        "/fido"                /* location of fido root directory */

/* types of config file lines that we know how to handle */
#define NONE        0
#define FIDO        1
#define SMTP        2
#define HOST        3
#define USER        4
#define EDIT        6
#define ZONE        7
#define GATE        8

/* global definitions */
extern FILE        *rcfp;                /* handle for the configuration file */
extern char
        rcline[LINELEN],         /* buffer for config file reading routines */
        hostname[SLINELEN],      /* name of this host from rc file */
        username[SLINELEN],      /* name of this user from rc file */
        gateway[SLINELEN],       /* ip addr of smart mail gateway */
        timezone[4],             /* users time zone */
        maildir[LINELEN],        /* default mail directory */
        editor[SLINELEN];        /* user's favorite editor program */

/* E O F */

