/*
   bmh.h: Copyright 1993, Paul Healy.

   930412 : Created
*/
#ifndef _bmh_h_
#define _bmh_h_

extern int Debug;

typedef int (*MAINFN)(int argc, char *argv[]);
typedef int (*MAILFN)(Mailfile *m, int argc, char *argv[]);

int printoptions(void);
int callprog(int argc, char *argv[]);

int ali_main(int argc, char *argv[]);
int bmh_main(int argc, char *argv[]);
int comp_main(int argc, char *argv[]);
int dist_main(int argc, char *argv[]);
int expirbid_main(int argc, char *argv[]);
int expire_main(int argc, char *argv[]);
int expirnn_main(int argc, char *argv[]);
int export_main(int argc, char *argv[]);
int folders_main(int argc, char *argv[]);
int forw_main(int argc, char *argv[]);
int import_main(int argc, char *argv[]);
int inc_main(int argc, char *argv[]);
int mail_main(int argc, char *argv[]);
int map_main(int argc, char *argv[]);
int next_main(int argc, char *argv[]);
int pager_main(int argc, char *argv[]);
int pick_main(int argc, char *argv[]);
int post_main(int argc, char *argv[]);
int repl_main(int argc, char *argv[]);
int refile_main(int argc, char *argv[]);
int rmm_main(int argc, char *argv[]);
int scan_main(int argc, char *argv[]);
int show_main(int argc, char *argv[]);
int smtp_main(int argc, char *argv[]);

int dist(Mailfile *m, int argc, char *argv[]);
int expire(Mailfile *m, int argc, char *argv[]);
int export(Mailfile *m, int argc, char *argv[]);
int forw(Mailfile *m, int argc, char *argv[]);
int map(Mailfile *m, int argc, char *argv[]);
int next(Mailfile *m, int argc, char *argv[]);
int pick(Mailfile *m, int argc, char *argv[]);
int post(Mailfile *m, int argc, char *argv[]);
int refile(Mailfile *m_curr, int argc, char *argv[]);
int repl(Mailfile *m, int argc, char *argv[]);
int rmm(Mailfile *m, int argc, char *argv[]);
int scan(Mailfile *m, int argc, char *argv[]);
int show(Mailfile *m, int argc, char *argv[]);

int mapit(Mailfile *m);

#endif /* _bmh_h_ */
