#ifndef _BOOTP_H
#define _BOOTP_H
/*************************************************/
/* Center for Information Technology Integration */
/*           The University of Michigan          */
/*                    Ann Arbor                  */
/*                                               */
/* Dedicated to the public domain.               */
/* Send questions to info@citi.umich.edu         */
/*                                               */
/* BOOTP is documented in RFC 951 and RFC 1048   */
/*************************************************/

/*
 *	Jan 92	Bill Simpson	rationalized header files.
 */

#ifndef _MBUF_H
#include "mbuf.h"
#endif

#ifndef _IP_H
#include "ip.h"
#endif

extern int WantBootp;

int bootp_validPacket __ARGS((struct ip *ip,struct mbuf **bpp));

#endif

