/* Software options */
#define	SERVERS		1	/* Include TCP servers */
#define	TRACE		1	/* Include packet tracing code */
#define	NSESSIONS	10	/* Number of interactive clients */

/* Hardware configuration */
#define	PC_EC		1	/* 3-Com 3C501 Ethernet controller */
#define	SLIP		1	/* Serial Line IP subnet code */
#define	KISS		1	/* KISS TNC code */
#define	HAPN		1	/* Hamilton Area Packet Network driver code */
#define	EAGLE		1	/* Eagle card driver */
#define	PACKET		1	/* FTP Software's Packet Driver interface */
#undef	PC100		1	/* PAC-COM PC-100 driver code */
#undef	APPLETALK	1	/* Appletalk interface (Macintosh) */

#if (defined(KISS) || defined(HAPN) || defined(EAGLE) || defined(PC100))
#define	AX25		1		/* AX.25 subnet code */
#endif

/* KISS TNC implies SLIP */
#if (defined(KISS) || defined(PACKET))
#undef	SLIP
#define	SLIP		1	/* Serial Line IP subnet code */
#endif

#if (defined(PC_EC) || defined(PACKET))
#define	ETHER	1		/* Generic Ethernet code */
#endif
