/* OS- and machine-dependent stuff for Atari-ST */
#include "stdio.h"
#include "stdlib.h"	/* chkml() , malloc , free */
#include "dos.h"	/* dfind */
#include "global.h"

/* Create a temporary file and return the filepointer
 *
 */
FILE *
tmpfile()
{
	FILE *fp;		/* dunno if I need this */
	char *name = "\\xbm0.tmp";

/*	printf("tmpfile() called!\n");	*/
	fp = fopen(name,"w+");	/* was: "w" "w+" will read, write, create */
	return fp;
}


int
stat(name)
char *name;
{
	int error;
	struct FILEINFO *info;

	info = getdta();

	error = dfind(info,name,0);

	if (error != 0) {
		printf("stat: dfind error\n");
	}

	return (int)info->size;	
}


filedir (name,times,retstr)
char *name;
int times;
char *retstr;
{
	int error;
	struct FILEINFO *info;
/*
	printf("filedir: ");
	printf("name=%s times=%d\n",name,times);
*/
	info = getdta();

	if (name == NULLCHAR || name[0] == '\0')
		name = "\\*.*";		/* quick and dirty hack */

	if (times == 0) {
		error = dfind(info,name,0);
		if (error !=0) {
			info->name[0]='\0';
		}
		strcpy(retstr,info->name);
	} else {
		error = dnext(info);
		if (error != 0) {
			info->name[0]='\0';
		}
		strcpy (retstr,info->name);
	}
}


