;==========================================================================;
; DV initialize                                                            ;

;   This software may be freely distributed and used, but it may not       ;
;   under any circumstances be sold by anyone other than the author.       ;
;   It may be distributed by a commercial company as long as it is         ;
;   for no cost.                                                           ;
;==========================================================================;


;--------------------------------------------------------------------------;
; This outside loop is for the QuadPort board or the 4 async port          ;
; card.  We loop thru all the ports checking for pending interrupts        ;
; and handling them.  There is a catch at the far end which loops us       ;
; back.  Other than that, there are no changes.                            ;
;                                                                          ;
; The only difference between the QUADRAN QUADPORT card and the 4 async    ;
; port card is that the QuadPort card has an extra register for interrupt  ;
; control.                                                                 ;
;--------------------------------------------------------------------------;

        CMP     chip[SI],chip_qrqp  ; Quadram QuadPort?
        JNE     serint_qrqp_do      ;     Nope.. go directly to loop.
                                    ;     This happens for the 4 async port


