#include <ctype.h>
#include "header.h"

/* return the header token type */
htype(p)
register char *p;
{
	register char *s;

	/* see if its header type */
	s = p;
	/* added to make bm useable as a uucp mail read program */
	if (prefix("From uucp ",p))
		return FROMUUCP;

	while (*s != '\0' && *s != ' ' && *s != ':')
		s++;
	if (*s != ':')
		return NOHEADER;

	if (prefix("Received: ",p))
		return RECEIVED;
	if (prefix("From: ",p))
		return FROM;
	if (prefix("To: ",p))
		return TO;
	if (prefix("Date: ",p))
		return DATE;
	if (prefix("Message-Id: ",p))
		return MSGID;
	if (prefix("Subject: ",p))
		return SUBJECT;
	if (prefix("Reply-To: ",p))
		return REPLYTO;
	if (prefix("Sender: ",p))
		return SENDER;
	if (prefix("Status: ",p))
		return STATUS;

	return UNKNOWN;
}

prefix(pref,full)
register char *pref, *full;
{
	register char fc, pc;

	while ((pc = *pref++) != '\0') {
		fc = *full++;
		if (isupper(fc))
			fc = tolower(fc);
		if (isupper(pc))
			pc = tolower(pc);
		if (fc != pc)
			return 0;
	}
	return 1;
}
