/*
   mailer.h : Copyright Paul Healy, EI9GL, 1992.

   920802 : Created.
*/
#ifndef _mailer_h_
#define _mailer_h_

char *gettmpdir(void);
FILE *tempfile(char *prog, char *filename, char *mode);
FILE *fopenbuf(char *filename, char *mode, int bufsize);
int putline(FILE *fp, char *s);
int whatnow(void);
int call_ed(char *prog, char *filename);

#ifdef _header_h_
typedef int (*Agent)(FILE *fp, Header_t *h);
int dowhatnow(char *prog, char *filename, Agent agent);
#endif

int dosignature(FILE *fp);
int dupfile(FILE *in, FILE *out);
int isflag(char *flag, int argc, char *argv[]);
int asc2month(char *s);
int ismsg(char *s);
char *dir2news(char *s);
char *news2dir(char *s);
int mktemplate(char *prog, char *filename, char *to, char *subj, char *message, int sig);
int addstr(char *prog, char *filename, char *s);
int addquotedmsg(char *prog, char *filename, FILE *fpin, char *quotestr);
char *decomment(char *s);

#endif
