   RdsOn = -1: Labls = -1
   DIM x%(1200), y%(1200)'MAP coordinates
   DIM LN$(80)         'LineNames
   DIM ML$(80), MLa(80), MLo(80), MLr(80) 'Map Labels, lengths and coordinates
      Tags = -1: KP = 1: Changed = 0
      Usr$ = "3poscor"
      COM$ = "COM1:"
      Baud$ = "9600"
      Port$ = "nadn"
      OPEN COM$ + Baud$ + ",n,8,1,cs0,ds0,cd0" FOR RANDOM AS #1

INIT: ON ERROR GOTO ErrorTrap
      ScrnType$ = "EGA": Ycen = 200: Yfactr = 1: SCREEN 9
      IF ScrnType$ = "EGA" THEN COLOR 15, 0
      REM ScrnType$ = "CGA": Yfactr=200/400:Ycen = 200*Yfactr: SCREEN 2

Begin: CLS
   PRINT "             MAPFIX.bas PROGRAM FOR FIXING APRS MAPS": PRINT
   PRINT "As of APRS distribution 2.10, THIS PROGRAM WILL ALLOW YOU TO add, move and"
   PRINT "delete points.  You can also add map Labels!  When you are finished, use ^S to"
   PRINT "save the modified map to the file named NEWMAP.map"
   PRINT
   PRINT "****  CAUTION!  THIS IS BRANDNEW AND NOT BURNED IN YET... KEEP BACKUPS!! ***"
   PRINT
   PRINT "Prior to this capability, the purpose of this program was to simply display"
   PRINT "new maps.  You would run this MAPFIX.bas program within the Quick"
   PRINT "BASIC environment and also LOAD the associated MAP file as a DOCUMENT."
   PRINT "If you didn't have the full QB development software, you used the DOS 5.0"
   PRINT "Qbasic to run MAPFIX.bas and used the DOS 5.0 Editor to make map changes"
   PRINT "Then each time you ran the MAPFIX program to see how your points look,"
   PRINT "you could Quit the program and use the F2 key to go manipulate the data"
   PRINT "points in the MAP file.  Then you saved the latest version of your map data"
   PRINT "and hit F5 to re-run the MAPFIX.bas program to see how the changes looked!"
   PRINT
   PRINT "One feature of MAPFIX.bas is that it shows you the decimal values of the"
   PRINT "cursor position which is necessary for placing map labels in the MAP file."
   PRINT
   PRINT "ALSO NOTE THAT THE SIZE OF THE INTEGER ARRAYS USED IN APRS IS 1000, SO"
   PRINT "You should never have more than 1000 points in your file.  If you need"
   PRINT "more points, begin another map.            HIT ENTER to continue...";
   INPUT a$


GOSUB Help: GOSUB LoadMap: Uid$ = "bruninga"
ON ERROR GOTO 0
      
     
Main: GOSUB DrwMPaCur
      DO
GoAgain: LET a$ = INKEY$
      IF a$ <> "" THEN
        a$ = UCASE$(a$): Key$ = a$
        IF a$ = "S" THEN GOSUB Labels
        IF a$ = "L" THEN Labls = NOT Labls
        IF a$ = "T" THEN Tags = NOT Tags
        IF a$ = "H" THEN GOSUB Help
        IF a$ = "M" THEN GOSUB MapList
        IF a$ = "N" THEN GOSUB NextLine: GOSUB Cursor
        IF a$ = "P" THEN GOSUB Previous: GOSUB Cursor
        IF a$ = "Q" THEN GOSUB QUIT
        IF a$ = " " THEN GOSUB DrwMPaCur
        IF a$ = "+" THEN Z = Z + 1: GOSUB MapPoint ' moves to next map point
        IF a$ = "-" THEN Z = Z - 1: GOSUB MapPoint ' moves backwards

        B$ = "": IF LEN(a$) = 2 THEN B$ = RIGHT$(a$, 1): REM process arrow & special keys
        IF B$ = "I" THEN RS = RS * 2: GOSUB CurDrwMap: REM change scale
        IF B$ = "Q" THEN RS = RS / 2: GOSUB CurDrwMap
        IF B$ = CHR$(132) THEN RS = RS * 8: GOSUB CurDrwMap: REM change scale by factor of 4
        IF B$ = "V" THEN RS = RS / 8: GOSUB CurDrwMap
       
        IF B$ = "G" THEN GOSUB CurDrwMap 'Home key
        IF B$ = "O" THEN CDX = LONo: CDY = LATo: GOSUB DrwMPaCur 'End Key
        IF B$ = "M" THEN CPX = CPX - 4 / (KP * ppdV): GOSUB Cursor
        IF B$ = "K" THEN CPX = CPX + 4 / (KP * ppdV): GOSUB Cursor
        IF B$ = "H" THEN CPY = CPY + 4 / (KP * ppdV): GOSUB Cursor
        IF B$ = "P" THEN CPY = CPY - 4 / (KP * ppdV): GOSUB Cursor
        REM Here are the special MapFIx routines
        IF B$ = CHR$(30) THEN GOSUB MakeRoom               'alt-ADD point
        IF B$ = CHR$(50) THEN GOSUB MakePT                 'alt-MOVE point to cursor
        IF B$ = CHR$(32) THEN GOSUB DelPT                  'alt-DELete point
        IF B$ = CHR$(38) THEN GOSUB AddLabel               'alt-ADD LABEL
        IF B$ = CHR$(46) THEN GOSUB NewCenter              'alt-CENTER
        IF B$ = CHR$(19) THEN GOSUB MapRange               'alt-RANGE
        IF a$ = CHR$(19) THEN GOSUB SaveMap
           
        IF a$ = "6" THEN CPX = CPX - 20 / (KP * ppdV): GOSUB Cursor'SHIFT Cursor by 4
        IF a$ = "4" THEN CPX = CPX + 20 / (KP * ppdV): GOSUB Cursor
        IF a$ = "8" THEN CPY = CPY + 20 / (KP * ppdV): GOSUB Cursor
        IF a$ = "2" THEN CPY = CPY - 20 / (KP * ppdV): GOSUB Cursor
        
      END IF
      
      REM LOCATE 25, 3: PRINT "F3 to save new Map Point.  F4 to save New Map to file named NEWMAP";
      LOOP
      SYSTEM 'you should never get here

QUIT: a$ = "N"
      IF Changed THEN
         GOSUB BoxLine23
         INPUT "**** MAP HAS BEEN MODIFIED BUT NOT SAVED!!!  SAVE NOW? (Y)"; a$
      END IF
      IF UCASE$(a$) <> "Y" THEN STOP
      GOTO SaveMap


NewCenter: LATcen = CPY: LONcen = CPX: Changed = -1: GOTO CurDrwMap

MapRange: GOSUB BoxLine23: INPUT "Enter map range"; a$
          IF VAL(a$) <> 0 THEN MapRng = VAL(a$)
          Changed = -1: GOTO DrwMPaCur

MakeRoom: nmp = nmp + 1: Z = Z + 1
          FOR i = nmp TO Z STEP -1
              x%(i) = x%(i - 1): y%(i) = y%(i - 1)
          NEXT
MakePT: x%(Z) = DX + (CUX - 320) / KP
        y%(Z) = DY + (CUY - Ycen) / KP
        Changed = -1: GOTO DrawMap

DelPT: nmp = nmp - 1
       FOR i = Z TO nmp
              x%(i) = x%(i + 1): y%(i) = y%(i + 1)
       NEXT: a$ = "-": Changed = -1: GOTO DrawMap

NextLine: i = Z
          DO UNTIL i = UBOUND(x%)
          i = i + 1: IF x%(i) = 0 THEN Z = i + 1: LNptr = LNptr + 1: EXIT DO
          LOOP: GOTO MapPoint
Previous: i = Z
          DO UNTIL i = LBOUND(x%)
          i = i - 1: IF x%(i) = 0 THEN Z = i - 1: LNptr = LNptr - 1: EXIT DO
          LOOP: GOTO MapPoint
MapPoint:
     IF Z < 2 THEN Z = 2: LNptr = 1 ELSE IF Z > nmp - 1 THEN Z = 2: LNptr = 1
     IF x%(Z) = 0 THEN
        IF a$ = "-" THEN
             LNptr = LNptr - 1: Z = Z - 1
        ELSE LNptr = LNptr + 1: Z = Z + 1
        END IF
     END IF
     IF LNptr < 0 THEN LNptr = 0
          LOCATE 23, 40
          PRINT "LineName: "; LEFT$(LN$(LNptr) + "                 ", 20);
DrwMpPt:
     CIRCLE (Xtest, Ytest), 10, 0 'Erase old circle
     Xtest = KP * (x%(Z) - DX) + 320: Ytest = KP * (y%(Z) - DY) + Ycen
     CIRCLE (Xtest, Ytest), 10, 11
     LOCATE 23, 1: PRINT "MapPt #"; Z; "X/Y vals:";
     PRINT TAB(23); x%(Z); TAB(29); y%(Z)
     RETURN

AddLabel: nml = nml + 1
          MLa(nml) = CPY: MLo(nml) = CPX
          GOSUB BoxLine23: INPUT "Enter Label Name"; a$: ML$(nml) = a$
          GOSUB BoxLine23: INPUT "Begin displaying label at what range?"; a$
          a = VAL(a$): IF a <> 0 THEN MLr(nml) = a:  ELSE MLr(nml) = 2048
          Changed = -1: GOTO Labels

BoxLine23: LOCATE 23, 1: PRINT SPACE$(80); : LOCATE 23, 1: RETURN

ErrorTrap: fault = ERR: 'Error handling routine
           IF ERR = 57 THEN PRINT "  I/O-error-User-logoff"; : RESUME
           IF ERR = 69 THEN PRINT "  Comm-buffer-overflow"; : RESUME
           IF ERR = 53 THEN PRINT "  file-"; FILE$; "-not-found": CLOSE : RESUME NEXT
           IF ERR = 62 THEN RESUME NEXT
           IF ERR = 2 THEN PRINT "SYNTAX-error"
           RESET
           PRINT : PRINT "Error beyond repair. Number = "; ERR;
           INPUT "Hit RETURN to return to DOS"; a$
           SYSTEM

MapList: CLS : PRINT "MAP FILES LIST": PRINT
         PRINT "To display MAP files, please enter the path to your xxxxxxx.MAP files."
         PRINT "For example, the default '\APRS\*.MAP' will show all maps in the APRS"
         PRINT "directory.  Similarly '*.map' will search your present QB directory."
         PRINT "For any other path, enter the full file specification.": PRINT
         F$ = "\aprs\*.map"
         PRINT "Enter Filespec ("; F$; ")";
         INPUT a$: IF a$ <> "" THEN F$ = a$
         PRINT : PRINT : FILES F$
         RETURN


LoadMap: 'Maps are drawn to the default EGA resolution of 640 x 400 (350)
Again: LOCATE 23, 2: INPUT "Which mapfile to look at (or CR for list)"; a$
       IF a$ = "" THEN GOSUB MapList: GOTO Again
       a = INSTR(3, a$, "."): IF a = 0 THEN a$ = a$ + ".map"
       FILE$ = UCASE$(a$): OPEN FILE$ FOR INPUT AS #3
       IF fault = 53 THEN fault = 0: PRINT : GOTO Again
       INPUT #3, LATo: LINE INPUT #3, LatText$
       INPUT #3, LONo: LINE INPUT #3, LonText$
       INPUT #3, ppdV: LINE INPUT #3, VS$'Pixels per degree horiz
       INPUT #3, LATcen: LINE INPUT #3, LATcen$
       INPUT #3, LONcen: LINE INPUT #3, LONcen$
       INPUT #3, MapRng: LINE INPUT #3, MapRng$
       INPUT #3, MinRng: LINE INPUT #3, Mr$
       LINE INPUT #3, TextLine$ ' Line of comments or instrutcitons
       RS = 2 ^ INT(LOG(MapRng) / LOG(2))'Rng is intgr of VERTrng
       REM KP = 256 / RS
       i = 0: LNi = 0:
     
     DO WHILE NOT EOF(3)
        i = i + 1: INPUT #3, x%(i), y: y%(i) = y * Yfactr
        IF x%(i) = 0 AND NOT EOF(3) THEN ' Get line color & store with x=0
           INPUT #3, y%(i): LNi = LNi + 1: LINE INPUT #3, LN$(LNi)' Save line name
           IF y = -1 THEN GOSUB LoadLabels ' All labels listed at end of file
           END IF
        LOOP: nmp = i  'nmp points to 0,-1 that ends all data (but 0,0 now)
     LET CDY = LATcen: CDX = LONcen'Center display on ORIGIN
     LET CPX = CDX: CPY = CDY 'Cursor Posn to Center of Display
     LET Z = 2: LNptr = 1: REM start at first point and first line segment
     CLOSE #3: RETURN:     REM first X% value is map color.  2nd val is 1st pt



LoadLabels: k = 0
     DO WHILE NOT EOF(3)
        k = k + 1: INPUT #3, ML$(k), MLa(k), MLo(k), MLr(k)
     LOOP
     IF MLa(k) = 0 OR MLo(k) = 0 THEN nml = k - 1 ELSE nml = k
     RETURN
       
SaveMap: GOSUB BoxLine23: PRINT "Enter file name to save if other than "; FILE$;
         INPUT a$: IF a$ <> "" THEN FILE$ = a$
         GOSUB BoxLine23: PRINT "Saving map to file named "; FILE$; " ..."
         OPEN FILE$ FOR OUTPUT AS #4
         PRINT #4, LATo; ","; LatText$
         PRINT #4, LONo; ","; LonText$
         PRINT #4, ppdV; ","; VS$
         PRINT #4, LATcen; ","; LATcen$
         PRINT #4, LONcen; ","; LONcen$
         PRINT #4, MapRng; ","; MapRng$
         PRINT #4, MinRng; ","; Mr$
         PRINT #4, TextLine$
         J = 1
         FOR i = 1 TO nmp
             IF x%(i) <> 0 THEN WRITE #4, x%(i), INT((y%(i) / Yfactr) + .5)
             IF x%(i) = 0 AND i = nmp THEN PRINT #4, " 0,-1"
             IF x%(i) = 0 AND i <> nmp THEN
                PRINT #4, "0,0"
                PRINT #4, y%(i); ","; LN$(J): J = J + 1
             END IF
         NEXT i
         PRINT #4, "0,"; LN$(LNi)
         FOR k = 1 TO nml
             PRINT #4, ML$(k); ","; : WRITE #4, MLa(k), MLo(k), MLr(k)
         NEXT k: CLOSE #4: LOCATE 24, 1:
         Changed = 0: GOTO DrwMPaCur

CurDrwMap: CDX = CPX: CDY = CPY: GOTO DrawMap: REM Re-center at CURSOR location

DrwMPaCur: CPX = CDX: CPY = CDY: GOSUB DrawMap
           REM After drawing map, Put cursor at center
           RETURN

DrawMap: 'Draw to range scale RS and center display CDX and CDY
         'Original Map was 40 pix-per-deg Horiz and 20 vert for 200 display
         'Now ppdH and ppdV are variables.  The scaling factor KP is 1 for
         'the original map scale.
         IF RS < MinRng THEN LET RS = MinRng
         KP = 100 * 120 / (RS * ppdV)'This is to scale it down from the 120 maps
         Lfac = COS(CDY / 57.296)
         DX = ppdV * (LONo - CDX)
         DY = (LATo - CDY) * ppdV * Yfactr
         CLS : LOCATE 1, 2: PRINT "Redrawing Map"
         REM first put ORIGIN and map CENTER on the map
         LINE (320 - KP * DX, Ycen - KP * DY)-(960 - KP * DX, Ycen - KP * DY), 14
         LINE (320 - KP * DX, Ycen - KP * DY)-(320 - KP * DX, 3 * Ycen - KP * DY), 14
         CMX = 320 + KP * (CDX - LONcen) * ppdV
         CMY = Ycen + KP * (CDY - LATcen) * ppdV * Yfactr
         LINE (CMX - 27, CMY)-(CMX + 27, CMY), 14
         LINE (CMX, CMY - 20)-(CMX, CMY + 20), 14
         CIRCLE (CMX, CMY), 10, 14

         CIRCLE (320 - KP * DX, Ycen - KP * DY), 12, 14
         FOR i = 0 TO nmp - 1
         x = 320 + KP * (x%(i) - DX): y = Ycen + KP * (y%(i) - DY)
         X1 = 320 + KP * (x%(i + 1) - DX): Y1 = Ycen + KP * (y%(i + 1) - DY)
         IF x%(i + 1) <> 0 THEN
            IF RdsOn OR LineColor <> 12 THEN LINE (x, y)-(X1, Y1), LineColor
            ELSE LineColor = y%(i + 1): i = i + 1
         END IF
         NEXT i
         GOSUB Cursor
         GOSUB MapPoint: REM Redraw MapPoint
         LOCATE 25, 1: PRINT "Use +/- to move MAPpoint.  N/P for Next/Previous line.  H for HELP!.";
         LOCATE 1, 63: PRINT "POINTS"; nmp; "="; INT(nmp / 10); "%";
         LOCATE 2, 63: PRINT "CENTER "; MID$(STR$(LATcen), 2, 5);
         LOCATE 2, 76: PRINT MID$(STR$(LONcen), 2, 5)
         LOCATE 3, 70: PRINT "Range"; MapRng

Labels: IF Labls THEN
            FOR i = 1 TO nml ' Now plot labels on map
            IF RS <= MLr(i) OR Key$ = "S" THEN
               LET x = 320 + KP * (CDX - MLo(i)) * ppdV
               LET y = Ycen + KP * (CDY - MLa(i)) * ppdV * Yfactr
               IF Tags AND y > 14 * Yfactr AND y < 350 * Yfactr AND x > 8 * (LEN(ML$(i)) + 1) AND x < 632 THEN
                  LOCATE y / (14 * Yfactr), (x / 8) - LEN(ML$(i)): PRINT ML$(i);
                  END IF
               END IF
            NEXT i
         END IF
         GOSUB ShowMap: RETURN
          
ShowMap:
    x = 320 + KP * (CDX - LONcen) * ppdV
    y = Ycen + KP * (CDY - LATcen) * ppdV * Yfactr
      by = MapRng * KP * ppdV * Yfactr / 60
      bx = by * 640 / (400 * Yfactr) * Lfac
      c = 15
    LINE (x - bx, y - by)-(x + bx, y + by), c, B
    RETURN

Cursor: CIRCLE (CUX, CUY), 4, 0
     CUX = 320 + KP * (CDX - CPX) * ppdV
     CUY = Ycen + KP * (CDY - CPY) * ppdV * Yfactr
     CIRCLE (CUX, CUY), 4, 14
     x = INT(CPX): y = INT(CPY): xm = (CPX - x) * 60: ym = (CPY - y) * 60
     x$ = RIGHT$(STR$(x), 3) + " "
     LOCATE 1, 2: PRINT "RNG"; RIGHT$("   " + STR$(RS), 4) + "      "
     LOCATE 2, 2: PRINT "LAT "; y; MID$(STR$(ym) + "   ", 2, 5)
     LOCATE 3, 2: PRINT "LON "; x$; MID$(STR$(xm) + "   ", 2, 5)
     LINE (0, 0)-(116, 42 * Yfactr), 12, B'Box around it
 
     LOCATE 24, 1: PRINT "Cursor coordinates:"; TAB(23);
     PRINT INT(.5 + DX + (CUX - 320) / KP); TAB(29); INT(.5 + DY + (CUY - Ycen) / KP);
     LOCATE 24, 40: PRINT "Degrees: ";
     PRINT LEFT$(STR$(CPY) + " ", 7); LEFT$(STR$(CPX) + "   ", 7);
     LET a$ = "": LET B$ = "": RETURN

Help: CLS : LINE (0, 0)-(639, 18 * Yfactr), 14, BF: LOCATE 1, 34: PRINT " HELP SCREEN "
      LOCATE 3, 1
      PRINT " This program finds map points for fixing lines or adding labels.   The cursor"
      PRINT " is shown in both LAT/LONG, map coordiniates and in decimal degrees.   The map"
      PRINT " ORIGIN is shown by two yellow lines and a circle.  Labels are right justified"
      PRINT " about where a period(.) should be.  Stations & objects will be left justified."
      PRINT " Big white box is edge of map as defined by map center and Map Range.  Remember"
      PRINT " that only the center and range included in MAPLIST.map are actually used."
      PRINT ""
      PRINT " N - Next line      M - Map files list   alt-A Add point    alt-C Center point"
      PRINT " P - Previous line  L - Labels on/off    alt-M Move point   alt-R Range"
      PRINT " Q - QUIT           S - Show all labels  alt-D Delete point "
      PRINT " H - HELP screen    +/- Next map point   alt-L Add LABEL    ctl-S SAVE FILE"
      PRINT "                                            "
      PRINT " On the MAP screen, use the white arrow keys with NumLock off for best movement"
      PRINT " Space bar        -  Draw map"
      PRINT " Arrow Keys       -  Move cursor. (use Shift to move faster)"
      PRINT " Home             -  Home the map to the cursor coordinates"
      PRINT " PgUp, PgDn       -  Change map scale up/dn by 2 (use CTRL for factor of 8)"
      PRINT " End              -  Redraw map centered on ORIGIN"
      PRINT
      PRINT " Observe your map, make notes, Quit.  Then Load ur map as a DOCUMENT and edit!"
      LOCATE 25, 1: PRINT "Use + and - to move MAPpoint.  N for next line segment.  P for previous.";
      LINE (0, 0)-(634, 348 * Yfactr), 15, B
      RETURN

END

