/*
   message.h: Copyright 1993, Paul Healy.

   930408 : Created
*/
#ifndef _message_h_
#define _message_h_

typedef enum { MSG_QUIT = -1, MSG_EOF = 0, MSG_NEXT = 1} MsgResult;

typedef MsgResult (*MsgFn)(Mailfile *m, char *line);

int walk2msg(Mailfile *m, MsgFn fn);
int walkselect(Mailfile *m, MsgFn fn, int argc, char *argv[]);
int walkall(Mailfile *m, MsgFn fn);
int walknot2msg(Mailfile *m, MsgFn fn, int msg);
int walknotselect(Mailfile *m, MsgFn fn, int argc, char *argv[]);

int wanted(int msg, int argc, char *argv[]);

#endif /* _message_h_ */

