PROJ = nos
PROJFILE = nos.mak
DEBUG = 1

PBTDEPEND  = $(PROJ).exe
PREP  = prep
PROFILE  = profile
PLIST  = plist
PROFSET  = set
PROFNMAKE  = nmake
PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
BRFLAGS  = /o $(PROJ).bsc /Es /Em
BROWSE	= 0
CC  = cl
CFLAGS_G  = /Alfw /W3 /G2 /D_MT /DOS2 /MT /BATCH /Gt64
CFLAGS_D  = /Od /Zi /Gs
CFLAGS_R  = /Ot /Ol /Og /Oe /Gs /B2 c:\binp\c2l.exe
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /STACK:8192  /BATCH /SE:250
LFLAGS_D  = /CO /INC /FAR /PACKC  /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC  /PMTYPE:VIO
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  =  /NOD:LLIBCE LLIBCMT
LLIBS_D  =  /NOD:LLIBCE LLIBCMT

OBJS  = 8250.obj ALLOC.obj arcdump.obj ARCNET.obj ARP.obj ARPCMD.obj\
	ARPDUMP.obj ARPHDR.obj ASY.obj AX25.obj AX25CMD.obj AX25DUMP.obj\
	AX25HDR.obj AX25SUBR.obj AX25USER.obj AXHEARD.obj BMUTIL.obj\
	CMDPARSE.obj config.obj DIALER.obj DIRUTIL.obj DOMAIN.obj DOMHDR.obj\
	FILES.obj FINGER.obj FINGERD.obj FORWARD.obj FTPCLI.obj FTPSERV.obj\
	FTPSUBR.obj GETOPT.obj HOP.obj ICMP.obj ICMPCMD.obj ICMPDUMP.obj\
	ICMPHDR.obj ICMPMSG.obj IFACE.obj IP.obj IPCMD.obj IPDUMP.obj\
	IPHDR.obj IPROUTE.obj kernel.obj KISS.obj KISSDUMP.obj ksubr.obj\
	LAPB.obj LAPBTIME.obj MAILBOX.obj main.obj mbuf.obj MISC.obj\
	NETUSER.obj NNTPCLI.obj NR3.obj NR4.obj NR4HDR.obj NR4SUBR.obj\
	NR4TIMER.obj NR4USER.obj NRCMD.obj NRDUMP.obj NRHDR.obj NRS.obj\
	PATHNAME.obj pc.obj POPCLI.obj POPSERV.obj PPP.obj PPPCMD.obj\
	PPPDUMP.obj PPPIPCP.obj PPPLCP.obj PPPPAP.obj RARP.obj RIP.obj\
	RIPCMD.obj RIPDUMP.obj RSPF.obj RSPFCMD.obj RSPFDUMP.obj RSPFHDR.obj\
	RWHODUMP.obj session.obj SLIP.obj SMISC.obj SMTPCLI.obj SMTPSERV.obj\
	SOCKCMD.obj SOCKET.obj SOCKUSER.obj SOCKUTIL.obj SW.obj TCPCMD.obj\
	TCPDUMP.obj TCPHDR.obj TCPIN.obj TCPOUT.obj TCPSUBR.obj TCPTIMER.obj\
	TCPUSER.obj TELNET.obj TIMER.obj TIP.obj TRACE.obj TTYDRIV.obj\
	TTYLINK.obj UDP.obj UDPCMD.obj UDPDUMP.obj UDPHDR.obj VERSION.obj\
	WILDMAT.obj AX25MAIL.obj DEVPARAM.obj GETLINE.obj SENDFAX.obj SLHC.obj\
	SLHCDUMP.obj RLOGIN.obj TIPMAIL.obj PPPFSM.obj NR4MAIL.obj lzw.obj
SBRS  = 8250.sbr ALLOC.sbr arcdump.sbr ARCNET.sbr ARP.sbr ARPCMD.sbr\
	ARPDUMP.sbr ARPHDR.sbr ASY.sbr AX25.sbr AX25CMD.sbr AX25DUMP.sbr\
	AX25HDR.sbr AX25SUBR.sbr AX25USER.sbr AXHEARD.sbr BMUTIL.sbr\
	CMDPARSE.sbr config.sbr DIALER.sbr DIRUTIL.sbr DOMAIN.sbr DOMHDR.sbr\
	FILES.sbr FINGER.sbr FINGERD.sbr FORWARD.sbr FTPCLI.sbr FTPSERV.sbr\
	FTPSUBR.sbr GETOPT.sbr HOP.sbr ICMP.sbr ICMPCMD.sbr ICMPDUMP.sbr\
	ICMPHDR.sbr ICMPMSG.sbr IFACE.sbr IP.sbr IPCMD.sbr IPDUMP.sbr\
	IPHDR.sbr IPROUTE.sbr kernel.sbr KISS.sbr KISSDUMP.sbr ksubr.sbr\
	LAPB.sbr LAPBTIME.sbr MAILBOX.sbr main.sbr mbuf.sbr MISC.sbr\
	NETUSER.sbr NNTPCLI.sbr NR3.sbr NR4.sbr NR4HDR.sbr NR4SUBR.sbr\
	NR4TIMER.sbr NR4USER.sbr NRCMD.sbr NRDUMP.sbr NRHDR.sbr NRS.sbr\
	PATHNAME.sbr pc.sbr POPCLI.sbr POPSERV.sbr PPP.sbr PPPCMD.sbr\
	PPPDUMP.sbr PPPIPCP.sbr PPPLCP.sbr PPPPAP.sbr RARP.sbr RIP.sbr\
	RIPCMD.sbr RIPDUMP.sbr RSPF.sbr RSPFCMD.sbr RSPFDUMP.sbr RSPFHDR.sbr\
	RWHODUMP.sbr session.sbr SLIP.sbr SMISC.sbr SMTPCLI.sbr SMTPSERV.sbr\
	SOCKCMD.sbr SOCKET.sbr SOCKUSER.sbr SOCKUTIL.sbr SW.sbr TCPCMD.sbr\
	TCPDUMP.sbr TCPHDR.sbr TCPIN.sbr TCPOUT.sbr TCPSUBR.sbr TCPTIMER.sbr\
	TCPUSER.sbr TELNET.sbr TIMER.sbr TIP.sbr TRACE.sbr TTYDRIV.sbr\
	TTYLINK.sbr UDP.sbr UDPCMD.sbr UDPDUMP.sbr UDPHDR.sbr VERSION.sbr\
	WILDMAT.sbr AX25MAIL.sbr DEVPARAM.sbr GETLINE.sbr SENDFAX.sbr SLHC.sbr\
	SLHCDUMP.sbr RLOGIN.sbr TIPMAIL.sbr PPPFSM.sbr NR4MAIL.sbr lzw.sbr

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .sbr .c

8250.obj : 8250.C global.h mbuf.h proc.h iface.h 8250.h asy.h devparam.h pc.h\
	timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

8250.sbr : 8250.C global.h mbuf.h proc.h iface.h 8250.h asy.h devparam.h pc.h\
	timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

ALLOC.obj : ALLOC.C global.h proc.h cmdparse.h mbuf.h timer.h

ALLOC.sbr : ALLOC.C global.h proc.h cmdparse.h mbuf.h timer.h

arcdump.obj : arcdump.c global.h mbuf.h arcnet.h trace.h iface.h proc.h\
	timer.h

arcdump.sbr : arcdump.c global.h mbuf.h arcnet.h trace.h iface.h proc.h\
	timer.h

ARCNET.obj : ARCNET.C global.h mbuf.h iface.h timer.h arp.h ip.h arcnet.h\
	proc.h internet.h

ARCNET.sbr : ARCNET.C global.h mbuf.h iface.h timer.h arp.h ip.h arcnet.h\
	proc.h internet.h

ARP.obj : ARP.C global.h config.h mbuf.h timer.h iface.h enet.h ax25.h icmp.h\
	ip.h arp.h rspf.h proc.h sockaddr.h lapb.h internet.h session.h\
	hardware.h ftpcli.h telnet.h ftp.h

ARP.sbr : ARP.C global.h config.h mbuf.h timer.h iface.h enet.h ax25.h icmp.h\
	ip.h arp.h rspf.h proc.h sockaddr.h lapb.h internet.h session.h\
	hardware.h ftpcli.h telnet.h ftp.h

ARPCMD.obj : ARPCMD.C global.h config.h mbuf.h timer.h enet.h ax25.h arp.h\
	netuser.h cmdparse.h commands.h iface.h rspf.h sockaddr.h lapb.h\
	proc.h

ARPCMD.sbr : ARPCMD.C global.h config.h mbuf.h timer.h enet.h ax25.h arp.h\
	netuser.h cmdparse.h commands.h iface.h rspf.h sockaddr.h lapb.h\
	proc.h

ARPDUMP.obj : ARPDUMP.C global.h mbuf.h arp.h netuser.h trace.h iface.h\
	timer.h proc.h

ARPDUMP.sbr : ARPDUMP.C global.h mbuf.h arp.h netuser.h trace.h iface.h\
	timer.h proc.h

ARPHDR.obj : ARPHDR.C global.h mbuf.h arp.h iface.h timer.h proc.h

ARPHDR.sbr : ARPHDR.C global.h mbuf.h arp.h iface.h timer.h proc.h

ASY.obj : ASY.C global.h config.h proc.h iface.h netuser.h slhc.h 8250.h asy.h\
	ax25.h kiss.h pktdrvr.h ppp.h slip.h nrs.h commands.h mbuf.h timer.h\
	ip.h tcp.h sockaddr.h lapb.h internet.h

ASY.sbr : ASY.C global.h config.h proc.h iface.h netuser.h slhc.h 8250.h asy.h\
	ax25.h kiss.h pktdrvr.h ppp.h slip.h nrs.h commands.h mbuf.h timer.h\
	ip.h tcp.h sockaddr.h lapb.h internet.h

AX25.obj : AX25.C global.h mbuf.h iface.h arp.h slip.h ax25.h lapb.h netrom.h\
	ip.h devparam.h trace.h pktdrvr.h netuser.h commands.h config.h proc.h\
	timer.h slhc.h sockaddr.h nr4.h internet.h tcp.h

AX25.sbr : AX25.C global.h mbuf.h iface.h arp.h slip.h ax25.h lapb.h netrom.h\
	ip.h devparam.h trace.h pktdrvr.h netuser.h commands.h config.h proc.h\
	timer.h slhc.h sockaddr.h nr4.h internet.h tcp.h

AX25CMD.obj : AX25CMD.C global.h config.h mbuf.h timer.h proc.h iface.h ax25.h\
	lapb.h cmdparse.h socket.h mailbox.h session.h tty.h nr4.h commands.h\
	pktdrvr.h sockaddr.h hardware.h ftpcli.h telnet.h ftp.h

AX25CMD.sbr : AX25CMD.C global.h config.h mbuf.h timer.h proc.h iface.h ax25.h\
	lapb.h cmdparse.h socket.h mailbox.h session.h tty.h nr4.h commands.h\
	pktdrvr.h sockaddr.h hardware.h ftpcli.h telnet.h ftp.h

AX25DUMP.obj : AX25DUMP.C global.h mbuf.h ax25.h lapb.h trace.h socket.h\
	iface.h sockaddr.h timer.h proc.h

AX25DUMP.sbr : AX25DUMP.C global.h mbuf.h ax25.h lapb.h trace.h socket.h\
	iface.h sockaddr.h timer.h proc.h

AX25HDR.obj : AX25HDR.C global.h mbuf.h ax25.h iface.h sockaddr.h lapb.h\
	proc.h timer.h

AX25HDR.sbr : AX25HDR.C global.h mbuf.h ax25.h iface.h sockaddr.h lapb.h\
	proc.h timer.h

AX25SUBR.obj : AX25SUBR.C global.h mbuf.h timer.h ax25.h lapb.h iface.h\
	sockaddr.h proc.h

AX25SUBR.sbr : AX25SUBR.C global.h mbuf.h timer.h ax25.h lapb.h iface.h\
	sockaddr.h proc.h

AX25USER.obj : AX25USER.C global.h mbuf.h timer.h iface.h lapb.h ax25.h proc.h\
	sockaddr.h

AX25USER.sbr : AX25USER.C global.h mbuf.h timer.h iface.h lapb.h ax25.h proc.h\
	sockaddr.h

AXHEARD.obj : AXHEARD.C global.h mbuf.h iface.h ax25.h ip.h timer.h proc.h\
	sockaddr.h lapb.h internet.h

AXHEARD.sbr : AXHEARD.C global.h mbuf.h iface.h ax25.h ip.h timer.h proc.h\
	sockaddr.h lapb.h internet.h

BMUTIL.obj : BMUTIL.C global.h ftpserv.h smtp.h proc.h usock.h socket.h\
	telnet.h timer.h session.h files.h bm.h mailbox.h sockaddr.h mbuf.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h hardware.h ftpcli.h\
	iface.h internet.h netuser.h ax25.h nr4.h ftp.h lapb.h

BMUTIL.sbr : BMUTIL.C global.h ftpserv.h smtp.h proc.h usock.h socket.h\
	telnet.h timer.h session.h files.h bm.h mailbox.h sockaddr.h mbuf.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h hardware.h ftpcli.h\
	iface.h internet.h netuser.h ax25.h nr4.h ftp.h lapb.h

CMDPARSE.obj : CMDPARSE.C global.h proc.h cmdparse.h mbuf.h timer.h

CMDPARSE.sbr : CMDPARSE.C global.h proc.h cmdparse.h mbuf.h timer.h

config.obj : config.c global.h config.h mbuf.h timer.h proc.h iface.h ip.h\
	tcp.h udp.h arcnet.h lapb.h ax25.h enet.h kiss.h netrom.h nr4.h\
	pktdrvr.h ppp.h slip.h arp.h icmp.h hardware.h usock.h cmdparse.h\
	commands.h mailbox.h ax25mail.h nr4mail.h tipmail.h bootp.h daemon.h\
	slhc.h rspf.h trace.h internet.h netuser.h sockaddr.h session.h\
	c:\include\time.h lzw.h socket.h ftpcli.h telnet.h ftp.h

config.sbr : config.c global.h config.h mbuf.h timer.h proc.h iface.h ip.h\
	tcp.h udp.h arcnet.h lapb.h ax25.h enet.h kiss.h netrom.h nr4.h\
	pktdrvr.h ppp.h slip.h arp.h icmp.h hardware.h usock.h cmdparse.h\
	commands.h mailbox.h ax25mail.h nr4mail.h tipmail.h bootp.h daemon.h\
	slhc.h rspf.h trace.h internet.h netuser.h sockaddr.h session.h\
	c:\include\time.h lzw.h socket.h ftpcli.h telnet.h ftp.h

DIALER.obj : DIALER.C global.h config.h mbuf.h timer.h proc.h iface.h\
	netuser.h 8250.h asy.h tty.h session.h socket.h cmdparse.h devparam.h\
	icmp.h files.h main.h trace.h hardware.h ftpcli.h telnet.h sockaddr.h\
	internet.h ip.h ftp.h

DIALER.sbr : DIALER.C global.h config.h mbuf.h timer.h proc.h iface.h\
	netuser.h 8250.h asy.h tty.h session.h socket.h cmdparse.h devparam.h\
	icmp.h files.h main.h trace.h hardware.h ftpcli.h telnet.h sockaddr.h\
	internet.h ip.h ftp.h

DIRUTIL.obj : DIRUTIL.C global.h dirutil.h commands.h

DIRUTIL.sbr : DIRUTIL.C global.h dirutil.h commands.h

DOMAIN.obj : DOMAIN.C global.h mbuf.h netuser.h ip.h socket.h cmdparse.h\
	proc.h domain.h commands.h files.h iface.h internet.h timer.h\
	sockaddr.h

DOMAIN.sbr : DOMAIN.C global.h mbuf.h netuser.h ip.h socket.h cmdparse.h\
	proc.h domain.h commands.h files.h iface.h internet.h timer.h\
	sockaddr.h

DOMHDR.obj : DOMHDR.C global.h mbuf.h domain.h proc.h timer.h

DOMHDR.sbr : DOMHDR.C global.h mbuf.h domain.h proc.h timer.h

FILES.obj : FILES.C global.h netuser.h files.h

FILES.sbr : FILES.C global.h netuser.h files.h

FINGER.obj : FINGER.C global.h mbuf.h socket.h session.h proc.h netuser.h\
	commands.h tty.h sockaddr.h hardware.h ftpcli.h telnet.h timer.h ftp.h

FINGER.sbr : FINGER.C global.h mbuf.h socket.h session.h proc.h netuser.h\
	commands.h tty.h sockaddr.h hardware.h ftpcli.h telnet.h timer.h ftp.h

FINGERD.obj : FINGERD.C global.h files.h mbuf.h socket.h session.h proc.h\
	dirutil.h commands.h mailbox.h sockaddr.h hardware.h ftpcli.h telnet.h\
	timer.h ftp.h

FINGERD.sbr : FINGERD.C global.h files.h mbuf.h socket.h session.h proc.h\
	dirutil.h commands.h mailbox.h sockaddr.h hardware.h ftpcli.h telnet.h\
	timer.h ftp.h

FORWARD.obj : FORWARD.C global.h config.h bm.h mailbox.h smtp.h cmdparse.h\
	proc.h socket.h timer.h usock.h netuser.h ax25.h netrom.h nr4.h\
	files.h mbuf.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h\
	iface.h lapb.h internet.h

FORWARD.sbr : FORWARD.C global.h config.h bm.h mailbox.h smtp.h cmdparse.h\
	proc.h socket.h timer.h usock.h netuser.h ax25.h netrom.h nr4.h\
	files.h mbuf.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h\
	iface.h lapb.h internet.h

FTPCLI.obj : FTPCLI.C global.h mbuf.h session.h cmdparse.h proc.h tty.h\
	socket.h ftp.h ftpcli.h commands.h netuser.h dirutil.h hardware.h\
	telnet.h timer.h sockaddr.h

FTPCLI.sbr : FTPCLI.C global.h mbuf.h session.h cmdparse.h proc.h tty.h\
	socket.h ftp.h ftpcli.h commands.h netuser.h dirutil.h hardware.h\
	telnet.h timer.h sockaddr.h

FTPSERV.obj : FTPSERV.C global.h mbuf.h socket.h ftp.h ftpserv.h proc.h\
	dirutil.h files.h commands.h sockaddr.h timer.h

FTPSERV.sbr : FTPSERV.C global.h mbuf.h socket.h ftp.h ftpserv.h proc.h\
	dirutil.h files.h commands.h sockaddr.h timer.h

FTPSUBR.obj : FTPSUBR.C global.h mbuf.h socket.h proc.h ftp.h ftpcli.h\
	sockaddr.h timer.h session.h hardware.h telnet.h

FTPSUBR.sbr : FTPSUBR.C global.h mbuf.h socket.h proc.h ftp.h ftpcli.h\
	sockaddr.h timer.h session.h hardware.h telnet.h

GETOPT.obj : GETOPT.C global.h

GETOPT.sbr : GETOPT.C global.h

HOP.obj : HOP.C global.h mbuf.h usock.h socket.h session.h timer.h proc.h\
	netuser.h domain.h commands.h tty.h cmdparse.h ip.h icmp.h udp.h\
	hardware.h c:\include\time.h lzw.h tcp.h netrom.h sockaddr.h ftpcli.h\
	telnet.h iface.h internet.h ax25.h nr4.h ftp.h lapb.h

HOP.sbr : HOP.C global.h mbuf.h usock.h socket.h session.h timer.h proc.h\
	netuser.h domain.h commands.h tty.h cmdparse.h ip.h icmp.h udp.h\
	hardware.h c:\include\time.h lzw.h tcp.h netrom.h sockaddr.h ftpcli.h\
	telnet.h iface.h internet.h ax25.h nr4.h ftp.h lapb.h

ICMP.obj : ICMP.C global.h mbuf.h iface.h ip.h icmp.h netuser.h proc.h\
	internet.h timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

ICMP.sbr : ICMP.C global.h mbuf.h iface.h ip.h icmp.h netuser.h proc.h\
	internet.h timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

ICMPCMD.obj : ICMPCMD.C global.h icmp.h ip.h mbuf.h netuser.h internet.h\
	timer.h socket.h proc.h session.h cmdparse.h commands.h iface.h\
	sockaddr.h hardware.h ftpcli.h telnet.h ftp.h

ICMPCMD.sbr : ICMPCMD.C global.h icmp.h ip.h mbuf.h netuser.h internet.h\
	timer.h socket.h proc.h session.h cmdparse.h commands.h iface.h\
	sockaddr.h hardware.h ftpcli.h telnet.h ftp.h

ICMPDUMP.obj : ICMPDUMP.C global.h mbuf.h internet.h netuser.h icmp.h trace.h\
	ip.h iface.h session.h timer.h proc.h hardware.h ftpcli.h telnet.h\
	ftp.h

ICMPDUMP.sbr : ICMPDUMP.C global.h mbuf.h internet.h netuser.h icmp.h trace.h\
	ip.h iface.h session.h timer.h proc.h hardware.h ftpcli.h telnet.h\
	ftp.h

ICMPHDR.obj : ICMPHDR.C global.h mbuf.h internet.h ip.h icmp.h iface.h timer.h\
	session.h proc.h hardware.h ftpcli.h telnet.h ftp.h

ICMPHDR.sbr : ICMPHDR.C global.h mbuf.h internet.h ip.h icmp.h iface.h timer.h\
	session.h proc.h hardware.h ftpcli.h telnet.h ftp.h

ICMPMSG.obj : ICMPMSG.C global.h

ICMPMSG.sbr : ICMPMSG.C global.h

IFACE.obj : IFACE.C global.h mbuf.h proc.h iface.h ip.h netuser.h ax25.h\
	enet.h pktdrvr.h cmdparse.h commands.h timer.h internet.h sockaddr.h\
	lapb.h

IFACE.sbr : IFACE.C global.h mbuf.h proc.h iface.h ip.h netuser.h ax25.h\
	enet.h pktdrvr.h cmdparse.h commands.h timer.h internet.h sockaddr.h\
	lapb.h

IP.obj : IP.C global.h mbuf.h timer.h internet.h netuser.h iface.h pktdrvr.h\
	ip.h icmp.h proc.h session.h hardware.h ftpcli.h telnet.h ftp.h

IP.sbr : IP.C global.h mbuf.h timer.h internet.h netuser.h iface.h pktdrvr.h\
	ip.h icmp.h proc.h session.h hardware.h ftpcli.h telnet.h ftp.h

IPCMD.obj : IPCMD.C global.h config.h mbuf.h internet.h timer.h netuser.h\
	iface.h ip.h cmdparse.h commands.h rip.h rspf.h proc.h udp.h

IPCMD.sbr : IPCMD.C global.h config.h mbuf.h internet.h timer.h netuser.h\
	iface.h ip.h cmdparse.h commands.h rip.h rspf.h proc.h udp.h

IPDUMP.obj : IPDUMP.C global.h config.h mbuf.h internet.h iface.h ip.h trace.h\
	netuser.h proc.h timer.h

IPDUMP.sbr : IPDUMP.C global.h config.h mbuf.h internet.h iface.h ip.h trace.h\
	netuser.h proc.h timer.h

IPHDR.obj : IPHDR.C global.h mbuf.h ip.h internet.h iface.h timer.h proc.h

IPHDR.sbr : IPHDR.C global.h mbuf.h ip.h internet.h iface.h timer.h proc.h

IPROUTE.obj : IPROUTE.C global.h config.h mbuf.h iface.h timer.h internet.h\
	ip.h netuser.h icmp.h rip.h trace.h pktdrvr.h bootp.h proc.h session.h\
	udp.h socket.h hardware.h ftpcli.h telnet.h sockaddr.h ftp.h

IPROUTE.sbr : IPROUTE.C global.h config.h mbuf.h iface.h timer.h internet.h\
	ip.h netuser.h icmp.h rip.h trace.h pktdrvr.h bootp.h proc.h session.h\
	udp.h socket.h hardware.h ftpcli.h telnet.h sockaddr.h ftp.h

kernel.obj : kernel.c global.h mbuf.h proc.h timer.h socket.h daemon.h\
	hardware.h sockaddr.h session.h ftpcli.h telnet.h ftp.h

kernel.sbr : kernel.c global.h mbuf.h proc.h timer.h socket.h daemon.h\
	hardware.h sockaddr.h session.h ftpcli.h telnet.h ftp.h

KISS.obj : KISS.C global.h mbuf.h iface.h kiss.h devparam.h slip.h asy.h\
	ax25.h proc.h slhc.h sockaddr.h lapb.h timer.h ip.h tcp.h internet.h\
	netuser.h

KISS.sbr : KISS.C global.h mbuf.h iface.h kiss.h devparam.h slip.h asy.h\
	ax25.h proc.h slhc.h sockaddr.h lapb.h timer.h ip.h tcp.h internet.h\
	netuser.h

KISSDUMP.obj : KISSDUMP.C global.h mbuf.h kiss.h devparam.h ax25.h trace.h\
	iface.h sockaddr.h lapb.h proc.h timer.h

KISSDUMP.sbr : KISSDUMP.C global.h mbuf.h kiss.h devparam.h ax25.h trace.h\
	iface.h sockaddr.h lapb.h proc.h timer.h

ksubr.obj : ksubr.c global.h proc.h pc.h commands.h mbuf.h timer.h session.h\
	hardware.h ftpcli.h telnet.h ftp.h

ksubr.sbr : ksubr.c global.h proc.h pc.h commands.h mbuf.h timer.h session.h\
	hardware.h ftpcli.h telnet.h ftp.h

LAPB.obj : LAPB.C global.h mbuf.h timer.h ax25.h lapb.h ip.h netrom.h iface.h\
	sockaddr.h internet.h nr4.h proc.h

LAPB.sbr : LAPB.C global.h mbuf.h timer.h ax25.h lapb.h ip.h netrom.h iface.h\
	sockaddr.h internet.h nr4.h proc.h

LAPBTIME.obj : LAPBTIME.C global.h mbuf.h ax25.h timer.h lapb.h iface.h\
	sockaddr.h proc.h

LAPBTIME.sbr : LAPBTIME.C global.h mbuf.h ax25.h timer.h lapb.h iface.h\
	sockaddr.h proc.h

MAILBOX.obj : MAILBOX.C global.h config.h timer.h proc.h socket.h usock.h\
	session.h smtp.h dirutil.h telnet.h ftp.h ftpserv.h commands.h\
	netuser.h files.h bm.h mailbox.h ax25mail.h nr4mail.h cmdparse.h\
	mbuf.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h\
	hardware.h ftpcli.h iface.h internet.h ax25.h nr4.h lapb.h

MAILBOX.sbr : MAILBOX.C global.h config.h timer.h proc.h socket.h usock.h\
	session.h smtp.h dirutil.h telnet.h ftp.h ftpserv.h commands.h\
	netuser.h files.h bm.h mailbox.h ax25mail.h nr4mail.h cmdparse.h\
	mbuf.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h\
	hardware.h ftpcli.h iface.h internet.h ax25.h nr4.h lapb.h

main.obj : main.c global.h config.h mbuf.h timer.h proc.h iface.h ip.h tcp.h\
	udp.h ax25.h kiss.h enet.h netrom.h ftpcli.h telnet.h tty.h session.h\
	hardware.h usock.h socket.h cmdparse.h commands.h daemon.h devparam.h\
	domain.h files.h main.h remote.h trace.h internet.h netuser.h\
	sockaddr.h lapb.h nr4.h ftp.h c:\include\time.h lzw.h

main.sbr : main.c global.h config.h mbuf.h timer.h proc.h iface.h ip.h tcp.h\
	udp.h ax25.h kiss.h enet.h netrom.h ftpcli.h telnet.h tty.h session.h\
	hardware.h usock.h socket.h cmdparse.h commands.h daemon.h devparam.h\
	domain.h files.h main.h remote.h trace.h internet.h netuser.h\
	sockaddr.h lapb.h nr4.h ftp.h c:\include\time.h lzw.h

mbuf.obj : mbuf.c global.h mbuf.h proc.h config.h timer.h

mbuf.sbr : mbuf.c global.h mbuf.h proc.h config.h timer.h

MISC.obj : MISC.C global.h socket.h mbuf.h proc.h sockaddr.h timer.h

MISC.sbr : MISC.C global.h socket.h mbuf.h proc.h sockaddr.h timer.h

NETUSER.obj : NETUSER.C global.h netuser.h domain.h mbuf.h proc.h timer.h

NETUSER.sbr : NETUSER.C global.h netuser.h domain.h mbuf.h proc.h timer.h

NNTPCLI.obj : NNTPCLI.C global.h timer.h cmdparse.h commands.h socket.h\
	usock.h netuser.h proc.h smtp.h files.h mbuf.h sockaddr.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h iface.h internet.h\
	ax25.h nr4.h lapb.h

NNTPCLI.sbr : NNTPCLI.C global.h timer.h cmdparse.h commands.h socket.h\
	usock.h netuser.h proc.h smtp.h files.h mbuf.h sockaddr.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h iface.h internet.h\
	ax25.h nr4.h lapb.h

NR3.obj : NR3.C global.h mbuf.h pktdrvr.h iface.h netuser.h timer.h arp.h\
	slip.h ax25.h netrom.h nr4.h lapb.h socket.h trace.h ip.h commands.h\
	proc.h slhc.h sockaddr.h internet.h tcp.h

NR3.sbr : NR3.C global.h mbuf.h pktdrvr.h iface.h netuser.h timer.h arp.h\
	slip.h ax25.h netrom.h nr4.h lapb.h socket.h trace.h ip.h commands.h\
	proc.h slhc.h sockaddr.h internet.h tcp.h

NR4.obj : NR4.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h iface.h\
	sockaddr.h proc.h

NR4.sbr : NR4.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h iface.h\
	sockaddr.h proc.h

NR4HDR.obj : NR4HDR.C global.h mbuf.h nr4.h timer.h ax25.h iface.h sockaddr.h\
	lapb.h proc.h

NR4HDR.sbr : NR4HDR.C global.h mbuf.h nr4.h timer.h ax25.h iface.h sockaddr.h\
	lapb.h proc.h

NR4SUBR.obj : NR4SUBR.C global.h mbuf.h timer.h ax25.h netrom.h nr4.h lapb.h\
	iface.h sockaddr.h proc.h

NR4SUBR.sbr : NR4SUBR.C global.h mbuf.h timer.h ax25.h netrom.h nr4.h lapb.h\
	iface.h sockaddr.h proc.h

NR4TIMER.obj : NR4TIMER.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h\
	iface.h sockaddr.h proc.h

NR4TIMER.sbr : NR4TIMER.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h\
	iface.h sockaddr.h proc.h

NR4USER.obj : NR4USER.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h\
	iface.h sockaddr.h proc.h

NR4USER.sbr : NR4USER.C global.h mbuf.h timer.h ax25.h lapb.h netrom.h nr4.h\
	iface.h sockaddr.h proc.h

NRCMD.obj : NRCMD.C global.h mbuf.h ax25.h mailbox.h netrom.h nr4.h timer.h\
	iface.h lapb.h cmdparse.h session.h socket.h commands.h files.h\
	config.h sockaddr.h proc.h hardware.h ftpcli.h telnet.h ftp.h

NRCMD.sbr : NRCMD.C global.h mbuf.h ax25.h mailbox.h netrom.h nr4.h timer.h\
	iface.h lapb.h cmdparse.h session.h socket.h commands.h files.h\
	config.h sockaddr.h proc.h hardware.h ftpcli.h telnet.h ftp.h

NRDUMP.obj : NRDUMP.C global.h mbuf.h netrom.h nr4.h trace.h iface.h ax25.h\
	timer.h proc.h sockaddr.h lapb.h

NRDUMP.sbr : NRDUMP.C global.h mbuf.h netrom.h nr4.h trace.h iface.h ax25.h\
	timer.h proc.h sockaddr.h lapb.h

NRHDR.obj : NRHDR.C global.h mbuf.h timer.h ax25.h netrom.h lapb.h iface.h\
	sockaddr.h nr4.h proc.h

NRHDR.sbr : NRHDR.C global.h mbuf.h timer.h ax25.h netrom.h lapb.h iface.h\
	sockaddr.h nr4.h proc.h

NRS.obj : NRS.C global.h mbuf.h iface.h pktdrvr.h ax25.h nrs.h asy.h trace.h\
	commands.h proc.h sockaddr.h lapb.h timer.h

NRS.sbr : NRS.C global.h mbuf.h iface.h pktdrvr.h ax25.h nrs.h asy.h trace.h\
	commands.h proc.h sockaddr.h lapb.h timer.h

PATHNAME.obj : PATHNAME.C global.h dirutil.h

PATHNAME.sbr : PATHNAME.C global.h dirutil.h

pc.obj : pc.c global.h config.h mbuf.h socket.h internet.h iface.h cmdparse.h\
	pc.h proc.h session.h smtp.h netuser.h sockaddr.h timer.h hardware.h\
	ftpcli.h telnet.h ftp.h

pc.sbr : pc.c global.h config.h mbuf.h socket.h internet.h iface.h cmdparse.h\
	pc.h proc.h session.h smtp.h netuser.h sockaddr.h timer.h hardware.h\
	ftpcli.h telnet.h ftp.h

POPCLI.obj : POPCLI.C global.h mbuf.h cmdparse.h proc.h socket.h timer.h\
	netuser.h dirutil.h files.h sockaddr.h

POPCLI.sbr : POPCLI.C global.h mbuf.h cmdparse.h proc.h socket.h timer.h\
	netuser.h dirutil.h files.h sockaddr.h

POPSERV.obj : POPSERV.C global.h mbuf.h cmdparse.h socket.h proc.h files.h\
	pop.h sockaddr.h timer.h

POPSERV.sbr : POPSERV.C global.h mbuf.h cmdparse.h socket.h proc.h files.h\
	pop.h sockaddr.h timer.h

PPP.obj : PPP.C global.h mbuf.h timer.h proc.h iface.h internet.h ip.h slhc.h\
	8250.h asy.h pktdrvr.h socket.h devparam.h ppp.h pppfsm.h ppplcp.h\
	pppipcp.h ppppap.h trace.h tcp.h sockaddr.h netuser.h

PPP.sbr : PPP.C global.h mbuf.h timer.h proc.h iface.h internet.h ip.h slhc.h\
	8250.h asy.h pktdrvr.h socket.h devparam.h ppp.h pppfsm.h ppplcp.h\
	pppipcp.h ppppap.h trace.h tcp.h sockaddr.h netuser.h

PPPCMD.obj : PPPCMD.C global.h mbuf.h iface.h pktdrvr.h ppp.h pppfsm.h\
	pppipcp.h ppppap.h ppplcp.h cmdparse.h proc.h timer.h slhc.h ip.h\
	tcp.h internet.h netuser.h

PPPCMD.sbr : PPPCMD.C global.h mbuf.h iface.h pktdrvr.h ppp.h pppfsm.h\
	pppipcp.h ppppap.h ppplcp.h cmdparse.h proc.h timer.h slhc.h ip.h\
	tcp.h internet.h netuser.h

PPPDUMP.obj : PPPDUMP.C global.h mbuf.h proc.h iface.h internet.h ppp.h\
	trace.h timer.h

PPPDUMP.sbr : PPPDUMP.C global.h mbuf.h proc.h iface.h internet.h ppp.h\
	trace.h timer.h

PPPIPCP.obj : PPPIPCP.C global.h mbuf.h iface.h slhc.h ppp.h pppfsm.h\
	pppipcp.h ppplcp.h ppppap.h cmdparse.h files.h proc.h ip.h tcp.h\
	timer.h internet.h netuser.h

PPPIPCP.sbr : PPPIPCP.C global.h mbuf.h iface.h slhc.h ppp.h pppfsm.h\
	pppipcp.h ppplcp.h ppppap.h cmdparse.h files.h proc.h ip.h tcp.h\
	timer.h internet.h netuser.h

PPPLCP.obj : PPPLCP.C global.h mbuf.h iface.h ppp.h pppfsm.h ppplcp.h ppppap.h\
	cmdparse.h devparam.h proc.h timer.h

PPPLCP.sbr : PPPLCP.C global.h mbuf.h iface.h ppp.h pppfsm.h ppplcp.h ppppap.h\
	cmdparse.h devparam.h proc.h timer.h

PPPPAP.obj : PPPPAP.C global.h mbuf.h proc.h iface.h session.h socket.h ppp.h\
	pppfsm.h ppppap.h cmdparse.h files.h timer.h hardware.h ftpcli.h\
	telnet.h sockaddr.h ftp.h

PPPPAP.sbr : PPPPAP.C global.h mbuf.h proc.h iface.h session.h socket.h ppp.h\
	pppfsm.h ppppap.h cmdparse.h files.h timer.h hardware.h ftpcli.h\
	telnet.h sockaddr.h ftp.h

RARP.obj : RARP.C global.h mbuf.h proc.h timer.h iface.h socket.h ax25.h arp.h\
	netuser.h cmdparse.h pktdrvr.h sockaddr.h lapb.h

RARP.sbr : RARP.C global.h mbuf.h proc.h timer.h iface.h socket.h ax25.h arp.h\
	netuser.h cmdparse.h pktdrvr.h sockaddr.h lapb.h

RIP.obj : RIP.C global.h mbuf.h netuser.h udp.h timer.h iface.h ip.h\
	internet.h rip.h arp.h proc.h

RIP.sbr : RIP.C global.h mbuf.h netuser.h udp.h timer.h iface.h ip.h\
	internet.h rip.h arp.h proc.h

RIPCMD.obj : RIPCMD.C global.h mbuf.h netuser.h internet.h cmdparse.h timer.h\
	iface.h udp.h rip.h commands.h proc.h ip.h

RIPCMD.sbr : RIPCMD.C global.h mbuf.h netuser.h internet.h cmdparse.h timer.h\
	iface.h udp.h rip.h commands.h proc.h ip.h

RIPDUMP.obj : RIPDUMP.C global.h mbuf.h netuser.h timer.h rip.h trace.h\
	iface.h udp.h proc.h internet.h ip.h

RIPDUMP.sbr : RIPDUMP.C global.h mbuf.h netuser.h timer.h rip.h trace.h\
	iface.h udp.h proc.h internet.h ip.h

RSPF.obj : RSPF.C global.h config.h mbuf.h proc.h timer.h netuser.h internet.h\
	pktdrvr.h ip.h iface.h ax25.h arp.h icmp.h socket.h rspf.h sockaddr.h\
	lapb.h session.h hardware.h ftpcli.h telnet.h ftp.h

RSPF.sbr : RSPF.C global.h config.h mbuf.h proc.h timer.h netuser.h internet.h\
	pktdrvr.h ip.h iface.h ax25.h arp.h icmp.h socket.h rspf.h sockaddr.h\
	lapb.h session.h hardware.h ftpcli.h telnet.h ftp.h

RSPFCMD.obj : RSPFCMD.C global.h mbuf.h timer.h iface.h cmdparse.h netuser.h\
	socket.h rspf.h proc.h sockaddr.h

RSPFCMD.sbr : RSPFCMD.C global.h mbuf.h timer.h iface.h cmdparse.h netuser.h\
	socket.h rspf.h proc.h sockaddr.h

RSPFDUMP.obj : RSPFDUMP.C global.h mbuf.h netuser.h internet.h socket.h ip.h\
	rspf.h proc.h sockaddr.h iface.h timer.h

RSPFDUMP.sbr : RSPFDUMP.C global.h mbuf.h netuser.h internet.h socket.h ip.h\
	rspf.h proc.h sockaddr.h iface.h timer.h

RSPFHDR.obj : RSPFHDR.C global.h mbuf.h internet.h ip.h timer.h rspf.h iface.h\
	proc.h

RSPFHDR.sbr : RSPFHDR.C global.h mbuf.h internet.h ip.h timer.h rspf.h iface.h\
	proc.h

RWHODUMP.obj : RWHODUMP.C global.h mbuf.h trace.h iface.h proc.h timer.h

RWHODUMP.sbr : RWHODUMP.C global.h mbuf.h trace.h iface.h proc.h timer.h

session.obj : session.c global.h config.h mbuf.h proc.h ftpcli.h icmp.h\
	telnet.h tty.h session.h hardware.h socket.h cmdparse.h rlogin.h\
	commands.h main.h timer.h ftp.h iface.h internet.h ip.h sockaddr.h

session.sbr : session.c global.h config.h mbuf.h proc.h ftpcli.h icmp.h\
	telnet.h tty.h session.h hardware.h socket.h cmdparse.h rlogin.h\
	commands.h main.h timer.h ftp.h iface.h internet.h ip.h sockaddr.h

SLIP.obj : SLIP.C global.h config.h mbuf.h iface.h ip.h slhc.h asy.h slip.h\
	trace.h proc.h internet.h timer.h tcp.h netuser.h

SLIP.sbr : SLIP.C global.h config.h mbuf.h iface.h ip.h slhc.h asy.h slip.h\
	trace.h proc.h internet.h timer.h tcp.h netuser.h

SMISC.obj : SMISC.C global.h config.h netuser.h mbuf.h socket.h proc.h\
	remote.h smtp.h tcp.h nr4.h commands.h hardware.h mailbox.h sockaddr.h\
	timer.h iface.h internet.h ip.h ax25.h session.h lapb.h ftpcli.h\
	telnet.h ftp.h

SMISC.sbr : SMISC.C global.h config.h netuser.h mbuf.h socket.h proc.h\
	remote.h smtp.h tcp.h nr4.h commands.h hardware.h mailbox.h sockaddr.h\
	timer.h iface.h internet.h ip.h ax25.h session.h lapb.h ftpcli.h\
	telnet.h ftp.h

SMTPCLI.obj : SMTPCLI.C config.h global.h mbuf.h cmdparse.h proc.h socket.h\
	timer.h netuser.h smtp.h dirutil.h commands.h session.h sockaddr.h\
	hardware.h ftpcli.h telnet.h ftp.h

SMTPCLI.sbr : SMTPCLI.C config.h global.h mbuf.h cmdparse.h proc.h socket.h\
	timer.h netuser.h smtp.h dirutil.h commands.h session.h sockaddr.h\
	hardware.h ftpcli.h telnet.h ftp.h

SMTPSERV.obj : SMTPSERV.C global.h mbuf.h cmdparse.h socket.h iface.h proc.h\
	smtp.h commands.h dirutil.h mailbox.h bm.h domain.h sockaddr.h timer.h

SMTPSERV.sbr : SMTPSERV.C global.h mbuf.h cmdparse.h socket.h iface.h proc.h\
	smtp.h commands.h dirutil.h mailbox.h bm.h domain.h sockaddr.h timer.h

SOCKCMD.obj : SOCKCMD.C global.h mbuf.h proc.h lzw.h usock.h socket.h ax25.h\
	netrom.h tcp.h udp.h commands.h config.h timer.h c:\include\time.h\
	ip.h sockaddr.h iface.h lapb.h nr4.h internet.h netuser.h

SOCKCMD.sbr : SOCKCMD.C global.h mbuf.h proc.h lzw.h usock.h socket.h ax25.h\
	netrom.h tcp.h udp.h commands.h config.h timer.h c:\include\time.h\
	ip.h sockaddr.h iface.h lapb.h nr4.h internet.h netuser.h

SOCKET.obj : SOCKET.C global.h mbuf.h netuser.h timer.h iface.h ip.h tcp.h\
	udp.h ax25.h lapb.h netrom.h nr4.h proc.h lzw.h usock.h socket.h\
	config.h internet.h sockaddr.h c:\include\time.h

SOCKET.sbr : SOCKET.C global.h mbuf.h netuser.h timer.h iface.h ip.h tcp.h\
	udp.h ax25.h lapb.h netrom.h nr4.h proc.h lzw.h usock.h socket.h\
	config.h internet.h sockaddr.h c:\include\time.h

SOCKUSER.obj : SOCKUSER.C global.h mbuf.h proc.h socket.h usock.h session.h\
	nr4.h timer.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h\
	netrom.h hardware.h ftpcli.h telnet.h ax25.h iface.h internet.h\
	netuser.h ftp.h lapb.h

SOCKUSER.sbr : SOCKUSER.C global.h mbuf.h proc.h socket.h usock.h session.h\
	nr4.h timer.h sockaddr.h c:\include\time.h lzw.h tcp.h udp.h ip.h\
	netrom.h hardware.h ftpcli.h telnet.h ax25.h iface.h internet.h\
	netuser.h ftp.h lapb.h

SOCKUTIL.obj : SOCKUTIL.C global.h mbuf.h netuser.h socket.h usock.h lapb.h\
	tcp.h nr4.h config.h proc.h sockaddr.h c:\include\time.h lzw.h udp.h\
	ip.h netrom.h iface.h timer.h ax25.h internet.h

SOCKUTIL.sbr : SOCKUTIL.C global.h mbuf.h netuser.h socket.h usock.h lapb.h\
	tcp.h nr4.h config.h proc.h sockaddr.h c:\include\time.h lzw.h udp.h\
	ip.h netrom.h iface.h timer.h ax25.h internet.h

SW.obj : SW.C global.h cmdparse.h pc.h session.h proc.h hardware.h ftpcli.h\
	telnet.h mbuf.h timer.h ftp.h

SW.sbr : SW.C global.h cmdparse.h pc.h session.h proc.h hardware.h ftpcli.h\
	telnet.h mbuf.h timer.h ftp.h

TCPCMD.obj : TCPCMD.C global.h timer.h mbuf.h netuser.h internet.h tcp.h\
	cmdparse.h commands.h iface.h ip.h proc.h

TCPCMD.sbr : TCPCMD.C global.h timer.h mbuf.h netuser.h internet.h tcp.h\
	cmdparse.h commands.h iface.h ip.h proc.h

TCPDUMP.obj : TCPDUMP.C global.h mbuf.h netuser.h internet.h tcp.h ip.h\
	trace.h iface.h timer.h proc.h

TCPDUMP.sbr : TCPDUMP.C global.h mbuf.h netuser.h internet.h tcp.h ip.h\
	trace.h iface.h timer.h proc.h

TCPHDR.obj : TCPHDR.C global.h mbuf.h tcp.h ip.h internet.h iface.h netuser.h\
	timer.h proc.h

TCPHDR.sbr : TCPHDR.C global.h mbuf.h tcp.h ip.h internet.h iface.h netuser.h\
	timer.h proc.h

TCPIN.obj : TCPIN.C global.h timer.h mbuf.h netuser.h internet.h tcp.h icmp.h\
	iface.h ip.h session.h proc.h hardware.h ftpcli.h telnet.h ftp.h

TCPIN.sbr : TCPIN.C global.h timer.h mbuf.h netuser.h internet.h tcp.h icmp.h\
	iface.h ip.h session.h proc.h hardware.h ftpcli.h telnet.h ftp.h

TCPOUT.obj : TCPOUT.C global.h timer.h mbuf.h netuser.h internet.h tcp.h ip.h\
	iface.h proc.h

TCPOUT.sbr : TCPOUT.C global.h timer.h mbuf.h netuser.h internet.h tcp.h ip.h\
	iface.h proc.h

TCPSUBR.obj : TCPSUBR.C global.h timer.h mbuf.h netuser.h internet.h tcp.h\
	ip.h iface.h proc.h

TCPSUBR.sbr : TCPSUBR.C global.h timer.h mbuf.h netuser.h internet.h tcp.h\
	ip.h iface.h proc.h

TCPTIMER.obj : TCPTIMER.C global.h mbuf.h timer.h netuser.h internet.h tcp.h\
	iface.h ip.h proc.h

TCPTIMER.sbr : TCPTIMER.C global.h mbuf.h timer.h netuser.h internet.h tcp.h\
	iface.h ip.h proc.h

TCPUSER.obj : TCPUSER.C global.h timer.h mbuf.h netuser.h socket.h internet.h\
	tcp.h ip.h icmp.h proc.h sockaddr.h iface.h session.h hardware.h\
	ftpcli.h telnet.h ftp.h

TCPUSER.sbr : TCPUSER.C global.h timer.h mbuf.h netuser.h socket.h internet.h\
	tcp.h ip.h icmp.h proc.h sockaddr.h iface.h session.h hardware.h\
	ftpcli.h telnet.h ftp.h

TELNET.obj : TELNET.C global.h config.h mbuf.h socket.h telnet.h session.h\
	proc.h tty.h commands.h netuser.h sockaddr.h hardware.h ftpcli.h\
	timer.h ftp.h

TELNET.sbr : TELNET.C global.h config.h mbuf.h socket.h telnet.h session.h\
	proc.h tty.h commands.h netuser.h sockaddr.h hardware.h ftpcli.h\
	timer.h ftp.h

TIMER.obj : TIMER.C global.h timer.h proc.h mbuf.h commands.h daemon.h\
	hardware.h socket.h session.h sockaddr.h ftpcli.h telnet.h ftp.h

TIMER.sbr : TIMER.C global.h timer.h proc.h mbuf.h commands.h daemon.h\
	hardware.h socket.h session.h sockaddr.h ftpcli.h telnet.h ftp.h

TIP.obj : TIP.C global.h mbuf.h proc.h iface.h 8250.h asy.h tty.h session.h\
	socket.h commands.h devparam.h timer.h hardware.h ftpcli.h telnet.h\
	sockaddr.h ftp.h

TIP.sbr : TIP.C global.h mbuf.h proc.h iface.h 8250.h asy.h tty.h session.h\
	socket.h commands.h devparam.h timer.h hardware.h ftpcli.h telnet.h\
	sockaddr.h ftp.h

TRACE.obj : TRACE.C global.h mbuf.h iface.h pktdrvr.h commands.h config.h\
	trace.h proc.h timer.h

TRACE.sbr : TRACE.C global.h mbuf.h iface.h pktdrvr.h commands.h config.h\
	trace.h proc.h timer.h

TTYDRIV.obj : TTYDRIV.C global.h mbuf.h session.h tty.h socket.h proc.h\
	hardware.h ftpcli.h telnet.h sockaddr.h timer.h ftp.h

TTYDRIV.sbr : TTYDRIV.C global.h mbuf.h session.h tty.h socket.h proc.h\
	hardware.h ftpcli.h telnet.h sockaddr.h timer.h ftp.h

TTYLINK.obj : TTYLINK.C global.h mbuf.h socket.h telnet.h session.h proc.h\
	tty.h mailbox.h commands.h sockaddr.h hardware.h ftpcli.h timer.h\
	ftp.h

TTYLINK.sbr : TTYLINK.C global.h mbuf.h socket.h telnet.h session.h proc.h\
	tty.h mailbox.h commands.h sockaddr.h hardware.h ftpcli.h timer.h\
	ftp.h

UDP.obj : UDP.C global.h mbuf.h netuser.h iface.h udp.h ip.h internet.h icmp.h\
	proc.h timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

UDP.sbr : UDP.C global.h mbuf.h netuser.h iface.h udp.h ip.h internet.h icmp.h\
	proc.h timer.h session.h hardware.h ftpcli.h telnet.h ftp.h

UDPCMD.obj : UDPCMD.C global.h mbuf.h netuser.h udp.h internet.h cmdparse.h\
	commands.h iface.h ip.h proc.h timer.h

UDPCMD.sbr : UDPCMD.C global.h mbuf.h netuser.h udp.h internet.h cmdparse.h\
	commands.h iface.h ip.h proc.h timer.h

UDPDUMP.obj : UDPDUMP.C global.h mbuf.h netuser.h internet.h udp.h ip.h\
	socket.h trace.h iface.h timer.h proc.h sockaddr.h

UDPDUMP.sbr : UDPDUMP.C global.h mbuf.h netuser.h internet.h udp.h ip.h\
	socket.h trace.h iface.h timer.h proc.h sockaddr.h

UDPHDR.obj : UDPHDR.C global.h mbuf.h ip.h internet.h udp.h iface.h timer.h\
	netuser.h proc.h

UDPHDR.sbr : UDPHDR.C global.h mbuf.h ip.h internet.h udp.h iface.h timer.h\
	netuser.h proc.h

VERSION.obj : VERSION.C config.h global.h mbuf.h usock.h c:\include\time.h\
	lzw.h proc.h tcp.h udp.h ip.h netrom.h sockaddr.h timer.h iface.h\
	internet.h netuser.h ax25.h nr4.h lapb.h

VERSION.sbr : VERSION.C config.h global.h mbuf.h usock.h c:\include\time.h\
	lzw.h proc.h tcp.h udp.h ip.h netrom.h sockaddr.h timer.h iface.h\
	internet.h netuser.h ax25.h nr4.h lapb.h

WILDMAT.obj : WILDMAT.C global.h

WILDMAT.sbr : WILDMAT.C global.h

AX25MAIL.obj : AX25MAIL.C global.h proc.h ax25.h socket.h session.h mailbox.h\
	ax25mail.h mbuf.h timer.h iface.h sockaddr.h lapb.h hardware.h\
	ftpcli.h telnet.h ftp.h

AX25MAIL.sbr : AX25MAIL.C global.h proc.h ax25.h socket.h session.h mailbox.h\
	ax25mail.h mbuf.h timer.h iface.h sockaddr.h lapb.h hardware.h\
	ftpcli.h telnet.h ftp.h

DEVPARAM.obj : DEVPARAM.C global.h devparam.h

DEVPARAM.sbr : DEVPARAM.C global.h devparam.h

GETLINE.obj : GETLINE.C global.h

GETLINE.sbr : GETLINE.C global.h

SENDFAX.obj : SENDFAX.C global.h smtp.h

SENDFAX.sbr : SENDFAX.C global.h smtp.h

SLHC.obj : SLHC.C global.h mbuf.h internet.h ip.h tcp.h slhc.h iface.h timer.h\
	netuser.h proc.h

SLHC.sbr : SLHC.C global.h mbuf.h internet.h ip.h tcp.h slhc.h iface.h timer.h\
	netuser.h proc.h

SLHCDUMP.obj : SLHCDUMP.C global.h mbuf.h internet.h ip.h slhc.h trace.h\
	iface.h timer.h tcp.h proc.h netuser.h

SLHCDUMP.sbr : SLHCDUMP.C global.h mbuf.h internet.h ip.h slhc.h trace.h\
	iface.h timer.h tcp.h proc.h netuser.h

RLOGIN.obj : RLOGIN.C global.h mbuf.h socket.h session.h proc.h tty.h\
	commands.h netuser.h sockaddr.h hardware.h ftpcli.h telnet.h timer.h\
	ftp.h

RLOGIN.sbr : RLOGIN.C global.h mbuf.h socket.h session.h proc.h tty.h\
	commands.h netuser.h sockaddr.h hardware.h ftpcli.h telnet.h timer.h\
	ftp.h

TIPMAIL.obj : TIPMAIL.C global.h mbuf.h timer.h proc.h iface.h 8250.h asy.h\
	socket.h usock.h telnet.h mailbox.h tipmail.h sockaddr.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h session.h internet.h\
	netuser.h ax25.h nr4.h hardware.h ftpcli.h lapb.h ftp.h

TIPMAIL.sbr : TIPMAIL.C global.h mbuf.h timer.h proc.h iface.h 8250.h asy.h\
	socket.h usock.h telnet.h mailbox.h tipmail.h sockaddr.h\
	c:\include\time.h lzw.h tcp.h udp.h ip.h netrom.h session.h internet.h\
	netuser.h ax25.h nr4.h hardware.h ftpcli.h lapb.h ftp.h

PPPFSM.obj : PPPFSM.C global.h mbuf.h iface.h ppp.h pppfsm.h ppplcp.h proc.h\
	timer.h

PPPFSM.sbr : PPPFSM.C global.h mbuf.h iface.h ppp.h pppfsm.h ppplcp.h proc.h\
	timer.h

NR4MAIL.obj : NR4MAIL.C global.h proc.h netrom.h socket.h session.h cmdparse.h\
	commands.h mailbox.h nr4mail.h mbuf.h timer.h iface.h ax25.h nr4.h\
	sockaddr.h hardware.h ftpcli.h telnet.h lapb.h ftp.h

NR4MAIL.sbr : NR4MAIL.C global.h proc.h netrom.h socket.h session.h cmdparse.h\
	commands.h mailbox.h nr4mail.h mbuf.h timer.h iface.h ax25.h nr4.h\
	sockaddr.h hardware.h ftpcli.h telnet.h lapb.h ftp.h

lzw.obj : lzw.C global.h mbuf.h proc.h lzw.h usock.h timer.h c:\include\time.h\
	tcp.h udp.h ip.h netrom.h sockaddr.h iface.h internet.h netuser.h\
	ax25.h nr4.h lapb.h

lzw.sbr : lzw.C global.h mbuf.h proc.h lzw.h usock.h timer.h c:\include\time.h\
	tcp.h udp.h ip.h netrom.h sockaddr.h iface.h internet.h netuser.h\
	ax25.h nr4.h lapb.h


$(PROJ).pbt : 
	$(PROFSET) MAKEFLAGS=
	$(PROFNMAKE) $(NMFLAGS) -f $(PROJFILE) $(PBTDEPEND)
	$(PREP) /P $(PBTDEPEND) /OT $(PROJ).pbt

$(PROJ).bsc : $(SBRS)
	$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
	$(ILINK) -a -e "$(LINKER) @$(PROJ).lrf" $@
!ELSE
	$(LINKER) @$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF

.c.sbr :
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CVP $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
