	page	132,63,1,1
	opt	rc

	org	p:

; first order high-pass section
; input in x0, output in a
hpass	macro	frq,store
	move		    #(1.0+(1.0/@cos(6.28319*frq)*(1.0-@sin(6.28319*frq))))/2.0,x1
	mpy	x0,x1,a     store,x0
	move		    #-1.0/@cos(6.28319*frq)*(1.0-@sin(6.28319*frq)),x1
	macr	-x0,x1,a
	sub	x0,a	    a,store
	endm


; first order high-pass section
; input in x0, output in a
hpass2	macro	frq,store
	tfr	x0,a	    x:<store\1,x1
	sub	x1,a	    x0,x:<store\1
	move		    x:<store\2,x0
	move		    #-1.0/@cos(6.28319*frq)*(1.0-@sin(6.28319*frq)),x1
	macr	-x0,x1,a
	move		    a,x:<store\2
	endm

	clr	a
	move		    a,x:<rdc

loop	move	y:$ffe0,x0
	hpass2	20.0/9600.0,del
	move	a,y:$ffe0
	jmp	<loop

	org	x:

rdc	ds	1				    ; running DC-level
del1	ds	1
del2	ds	1

	end
