;==========================================================================;
; QuadRAM QuadPort board hardware constants                                ;
;==========================================================================;

;--------------------------------------------------------------------------;
; Information                                                              ;
;--------------------------------------------------------------------------;

max_port_qrqp    EQU 5 ;                 Number of COM ports on this board

;--------------------------------------------------------------------------;
; Addresses                                                                ;
;--------------------------------------------------------------------------;

base1_qrpt       EQU 280H  ;             Possible board addresses
base2_qrpt       EQU 288H  ;

basem_qrqp       EQU 10001000B ;         Mask to derive base address

;--------------------------------------------------------------------------;
; Address offsets                                                          ;
;--------------------------------------------------------------------------;

qintr_qrpt       EQU 53H   ;             Master interrupt register
irq2_qrpt        EQU 1     ;             Use IRQ 3
irq3_qrpt        EQU 1     ;             Use IRQ 3
irq4_qrpt        EQU 2     ;             Use IRQ 4
irq5_qrpt        EQU 2     ;             Use IRQ 4

paofs_qrpt       EQU 00H   ;             Offset to port a
pbofs_qrpt       EQU 10H   ;             Offset to port b
pcofs_qrpt       EQU 20H   ;             Offset to port c
pdofs_qrpt       EQU 30H   ;             Offset to port d
peofs_qrpt       EQU 40H   ;             Offset to port e

