REM This is a sample RUNPB.BAT file for one-pass station automation. First
REM it runs pg as many times as necessary to upload all of your .OUT files. 
REM Then it runs PB for the pass. If PB exits without error then the
REM POSTPASS.BAT is executed and renamed (to make way for the next pass).
REM
REM Keeps looping to upload until all messages are uploaded.
REM Remember to check for partially uploaded files, too.
:upload 
if exist (*.out) pg -u -q
if exist (*.pul) pg -u -q
if exist (*.pul) goto :upload
if exist (*.out) goto :upload
:download
pb
REM
REM PB will return an error level if you type X rather than Q.
REM You can use this to skip your post pass processing.
if errorlevel 1 goto end
call postpass.bat
del postpass.bak
ren postpass.bat postpass.bak
:end
REM We do not use these batch files at UoS, so any comments and enhancements
REM would be appreciated.

