#ifndef	_SMTP_H
#define	_SMTP_H

#include <stdio.h>

#define SMTPTRACE			/* enable tracing for smtp */
#define JOBNAME		13		/* max size of a job name with null */
#define MBOXLEN		8		/* max size of a mail box name */

#define PLINELEN	256		/* size of forward or reverse path */
#define RLINELEN	512		/* size of command or reply */
#define TLINELEN	1024		/* size of text line */
#define ULINELEN	64		/* size of username or domain */

/* types of address used by smtp in an address list */
#define BADADDR	0
#define LOCAL	1
#define DOMAIN	2

/* a list entry */
struct recipient_s {
	struct recipient_s *next;
	char *val;
	char type;
};
#define NULLRCPT	(struct recipient_s *)0

/* In smtputil.c */
#define QUEUE	1
extern int Smtpmode;			/* smtp server routing mode */

char *ptime __ARGS((long *t));
struct recipient_s *add_rcpt __ARGS((struct recipient_s **head,char *val,int type));
void del_rcpt __ARGS((struct recipient_s *lp));
long get_msgid __ARGS((void));
int queuejob __ARGS((FILE *dfile,char *host,struct recipient_s *to,char *from));
int mailit __ARGS((FILE *data,char *buf,int len,char *from,struct recipient_s *tolist));
struct recipient_s *expandalias __ARGS((struct recipient_s **head,char *user));
int validate_address __ARGS((char *s));
int mdaemon __ARGS((FILE *data,char *to,struct recipient_s *lp,int bounce));

/* In smtpcli.c: */
int smtptick __ARGS((void *t));
int32 mailroute __ARGS((char *dest));

#endif	/* _SMTP_H */

