#
#	Makefile for Bdale's Mailer
#	
#	for more info see bm.doc and smtp.doc in the documentation package
#	if you change the makefile, do a make clean before you do a make.
#

CFLAGS= -O -DUNIX

OBJS=	main.o send.o unix.o bmutil.o version.o header.o files.o getopt.o \
	dirutil.o ndir.o wildmat.o

#all:	bm uuencode uudecode 
all:	bm 
	
bm: 	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o bm $(LDFLAGS)

clean:
	rm *.o

#
# dependencies - please keep up to date!
#

bmutil.o:	header.h bm.h
header.o:	header.h bm.h
main.o:	bm.h
ndir.o:	ndir.h
send.o:	bm.h
unix.o:	bm.h

