#!c:/etc/perl
#
#   usage.pl : Paul Healy, EI9GL
#
#   A script which gleans statistics from the NOS log file
#
#   921227 : Created
#

 open(F, ">$ARGV[0]") || die "can't open $ARGV[0]: $!";

$count = 0;

while (<STDIN>) {
    if (/open MBOX/) {
      $count = $count+1;
      chop;                   # rip \n
# 0   1   2  3        4    5
# Mon Dec 28 11:35:09 1992 EI7GM-12 on port 70cm - open MBOX
      ($day, $mon, $date, $time, $year, $call) = split(/[ \t#]+/, $_); 

      next if ($call =~ /:/);   # ip login

      ($callsign, $ssid) = split(/-/, $call);
      $user{$callsign} = $user{$callsign} + 1;
#      print "$call is $user{$callsign}\n";
      next;
     }
}

 printf(F "During the period there were %s connects to the digi.\n", $count );

 $number = 0;
 foreach $call (sort keys(%user)) {
  $number++;
  }
 printf(F "There were a total of %s users of the digi.\n", $number );

 printf(F "Number of connects per callsign:\n\n");

 $maxrow = int (($number / 6) + 1);
 $arraysize = ($maxrow*6) + 1;
 foreach $i (0 .. $arraysize) {
   $neworder[$i] = "none";
   }

 $start = 0;
 $i = 0;
 $row = 0;

 foreach $call (sort keys(%user)) {
   $neworder[$i] = $call;
#   print "adding $call: $i == $neworder[$i], row = $row, maxrow = $maxrow, start = $start\n";
   $i += 6;
   $row = $row + 1;
   if ( $row == $maxrow ) {
      $row = 0;
      $start = $start+1;
      $i = $start;
      }
   }

 $col = 0;
 foreach $call (0 .. $arraysize) {
    if ($neworder[$call] ne "none") {
       printf(F "%4s:%-6s ", $user{$neworder[$call]}, $neworder[$call] );
       }
    $col = $col + 1;
    if ($col == 6) {
       $col = 0;
       printf(F "\n");
       }
    }
