/* version control information */
#include "config.h"
#include "global.h"
#include "mbuf.h"

char Version[] = "911229 (PMNOS v1.1)";
char shortversion[] = "PMNOS1.1";
#if (defined(MAILBOX) || defined(MBFWD))
char MboxId[] = "[JNOS-1.05-H$]\n";
#endif

char Version2[] = "This version by Walt Corey, KZ1F\n";

#ifdef ALLCMD
int
doinfo(argc,argv,p)
int argc;
char *argv[];
void *p;
{
    tprintf("NOS %s, compiled %s %s,\ncontaining:" ,Version,__DATE__,__TIME__);
#ifdef RARP
	tprintf(" RARP,");
#endif
#ifdef TIPMAIL
	tprintf(" TIP,");
#endif
#ifdef AXIP
    tprintf(" AXIP,");
#endif
#ifdef POP
    tprintf(" POP2,");
#endif
#ifdef NNTP
    tprintf(" NNTP,");
#endif
#ifdef RLOGIN
    tprintf(" RLOGIN,");
#endif
#ifdef SERVERS
	tprintf(" TCP servers,\n");
#endif
#ifdef RIP
	tprintf(" RIP,");
#endif
#ifdef RSPF
	tprintf(" RSPF,");
#endif
#ifdef	BOOTP
	tprintf(" BOOTP,");
#endif
#ifdef HOPCHECK
	tprintf(" HOP,");
#endif
#ifdef MAILBOX
	tprintf(" MAILBOX,");
#endif
#ifdef MAILFOR
    tputs(" 'MAIL' beacons,");
#endif
#ifdef RLINE
    tputs(" 'BBS R:-header' compatibility,");
#endif
#ifdef CONVERS
	tprintf(" CONVERS MODE");
#endif
#if defined(CALLSERVER)
  tprintf("\n The Buckmaster \"HamCall\" CDROM-based Callsign Server,\n");
#elif defined(CALLCLI)
  tprintf("\n Callsign Database Client for Buckmaster's \"Ham Call\" CD,\n");
#endif
#ifdef MULTITASK
	tprintf("\nand the Russell Nelson modsets");
#endif
	tprintf("\n%d sockets, %d interrupt buffers of %d bytes\n",DEFNSOCK,Nibufs,Ibufsize);
#ifdef	PC_EC
	tprintf("3COM Ethernet controller driver\n");
#endif
#ifdef	ASY
	tprintf("Generic async interface (via 8250/16450/16550)\n");
#endif
#ifdef	SLIP
	tprintf("SLIP async interface (via 8250/16450/16550)\n");
#endif
#ifdef	KISS
	tprintf("KISS async interface (via 8250/16450/16550)\n");
#endif
#ifdef	HS
	tprintf("High speed (56kbps) modem driver\n");
#endif
#ifdef	PI
	tprintf("PI scc card with dma driver (VE3IFB)\n");
#endif
#ifdef	PACKET
	tprintf("FTP Software's PACKET driver interface\n");
#endif
#ifdef	ARCNET
	tprintf("ARCnet via PACKET driver\n");
#endif
#ifdef	SLFP
	tprintf("SLFP via PACKET driver\n");
#endif
#ifdef	PC100
	tprintf("PAC-COM PC-100 driver\n");
#endif
#ifdef	DRSI
	tprintf("DRSI PCPA low-speed driver\n");
#endif
#ifdef	SCC
	tprintf("Generic SCC (8530) driver\n");
#endif
#ifdef	EAGLE
	tprintf("Eagle 8530 board driver\n");
#endif
#ifdef	HAPN
	tprintf("Hamilton Area Packet Network driver\n");
#endif
#ifdef	NRS
	tprintf("NET/ROM async interface\n");
#endif
#ifdef	NETROM
	tprintf("NET/ROM network interface\n");
#endif
#ifdef	PPP
	tprintf("Point to Point network interface\n");
#endif
#ifdef	VJCOMPRESS
	tprintf("Van Jacobson compression on SLIP/PPP\n");
#endif
#ifdef	FORTH
	tprintf("Forth programming language\n");
#endif
#ifdef	IPACCESS
	tprintf("IP access control\n");
#endif
	return 0;
}
#endif /*ALLCMD*/
