/* Version 0.99 of W2XO ax25bbs for use with KA9Q net  -Jim Durham, W2XO 9-9-88*/
/* Code released to the Amateur Radio Packet community*/

#define MAIN 1
#include "xobbs.h"


main(argc,argv)
    int argc;
    char * argv[];
{
	int fd1,c;
	char timstring[80],daepid[10],*p;
	FILE* fp;
		
	if(argc < 3){
		outfd=1;
		infd=0;
	}
	else{
		infd=atoi(argv[3]);
		outfd=atoi(argv[2]);
	}
		

	if((fd1=open("/u/newbbs/bbsmotd",O_RDONLY)) < 0){	/*print the motd*/
		sprintf(prinbuf,"Missing MOTD file\n");
		prinout();
	}
	else{
		while((c=xogetc(fd1)) > 0)
			write(outfd,&c,1);
		close(fd1);
	}
        getconfig();                            /*read config information*/
        getactive();				/*get message list*/
	getuser(argv[1]);				/*get the user info */
	fp=popen("ps -e | fgrep maildaem","r"); /*get the pid of the maildaemon*/
	p=daepid;
	while(((c = getc(fp)) == ' ') && (c != EOF));
	*p++ = c;
	while(((c = getc(fp)) != ' ') && (c != EOF)){
		*p++ = c;	/*get the ascii pid of daemon*/
		putchar(c);
	}
	*p='\0';				/*terminate pid string*/
	pclose(fp);				/*close the pipe*/
	dpid=atoi(daepid);			/*make it a global int */		
	sprintf(prinbuf,"Hi, %s, Welcome to the %s BBS\n",user.name,my.call);
	prinout();
	sprintf(prinbuf,"New to you:%d - %d,  %d Active Messages\n",user.highest,highnum,msgcnt);	 
	prinout();
        strcpy(timstring,gettim());
        sprintf(prinbuf,"Logged in at: %s \n",timstring);
        prinout();
	mailcheck();
	if(dpid == 0){
		sprintf(prinbuf,"Warning:mail daemon not running\n mail saved but not added to list\n");
		prinout();
	}
	 
	 for(;;)				/*do until disconnected*/
	 {
	    switch(user.typ)
	    {
		case 'B':
	        case 'b':   sprintf(prinbuf,"%s BBS>",my.call);
	        	    prinout();
	                    break;
		case 'S':
                case 's':
		case 'E':
	        case 'e':   sprintf(prinbuf,"%s de %s BBS >",user.call,my.call);
	        	    prinout();
			    break;
                default:   sprintf(prinbuf,"%s de %s BBS (B,D,K,L,N,R,S,U,W) >",user.call,my.call);	 
                           prinout();
	                    break;
	    }
            getline();
            if(parse()) docmd();
	            
	}	/*for(;;); */
}

