#include "xobbs.h"

parse()
{
    int i,j;
    char *cp;
    
    for(i=0;i<10;i++)
        strcpy(command.fld[i],"");            /*blank the command structure*/

    command.opt=' ';

    if(strlen(inline) < 1)		/*check for no command*/
    {
        printerr();			/*if so, return error*/
        return 0 ;
    }
    command.func=inline[0];             /*first letter is command*/

    switch(inline[1])
    {
        case ' ':   i=1;                /*point to the blank 2nd char*/
                    break;
        case '\0':  return 1;           /* done, go back*/
                    break;
        
        default:    command.opt=inline[1];   /*assign option*/
		    i=2;
		    break;
    }	
    
    j=1;
    while(j < 10 )
    {
        while(inline[i]==' ') i++;          /*ratchet past any blanks*/
        if(inline[i]=='\0') return 1;        /*ok if just blanks ends the line*/
        cp=command.fld[j];                   /*point to the first field*/
        while(inline[i] != ' ' && inline[i]) /*while not EOL or blank*/
            *cp++ =inline[i++];               /*copy chars to field*/
        *cp='\0';
        j++;
    }
    return 1;
}

docmd()
{
    char cmdstr[40];
    switch(command.func)
    {
        case 'U':
        case 'u':   sprintf(cmdstr,"/u/newbbs/files/%s",command.fld[1]);
                    upload(cmdstr);
                    break;
        case 'D':
        case 'd':   sprintf(cmdstr,"/u/newbbs/files/%s",command.fld[1]);
                    download(cmdstr);
                    break;
        case 'K':
        case 'k':   killmsg();
                    break;
        case 'S':
        case 's':   sendmsg();
        	    kill(dpid,16);   /*tell the maildaemon to do its thing*/
                    break;
	case 'R':
        case 'r':   readmail();
                    break;
        case 'W':
	case 'w':   sprintf(cmdstr,"/u/newbbs/files/%s",command.fld[1]);
                    dodir(cmdstr);
	            break;
	case 'L':
	case 'l':   lsthdrs();
	            break;
	case 'B':
	case 'b':
	case 'Q':
	case 'q':   sprintf(prinbuf,"\n73, %s, Thanks for Connecting. SK\n",user.name);
	            prinout();
		    sndupkil();
		    break;

	case 'N':
	case 'n':   doname(command.fld[1]);
		    break;

        case 'E':
        case 'e':   edituser(command.fld[1]);
                    break;

	default:    printerr();
		    break;
    }
}
