#include "xobbs.h"

char xogetc(fd)
{
	char c;
	if(read(fd,&c,1)){
		c &= (char)0x7f;		/*strip 8th bit and up*/
		if(c=='/r'){
		    printf("CR");
		    c='/n';
		}
		if(c=='\n') printf("LF");
		fflush(stdout);
		return(c);
	}
	else return('\0');
}

printerr()
{
	sprintf(prinbuf,"\n*** Bad Command\n");
	prinout();
}
			 
printnone()
{
    sprintf(prinbuf,"\n*** None Found\n");
    prinout();
}

fldmatch(arg,fld)       /*match a field with an argument*/
    char *arg, *fld;
{
    register  int i;

    for(i=0;i<6;i++)
    {
    	if(arg[i] != fld[i])
    	{
    	    if(arg[i] == '\0')
    	        return(1);
    	    else
    	        return(0);
    	}
    }
    return(1);
}


indexn(s,t,n)
char s[],t[];
int n;
{
	int i,j,k;
	
        t[n+1]='\0';        /*terminate  search after n chars*/

	for(i=0;s[i]!= '\0'; i++){
		for(j=i,k=0;t[k]!='\0' && s[j] == t[k]; j++,k++)
			;
		if(t[k] == '\0')
			return(i);
	}
	return(-1);
}
indexx(s,t)
char s[],t[];
{
	int i,j,k;
	
	for(i=0;s[i]!= '\0'; i++){
		for(j=i,k=0;t[k]!='\0' && s[j] == t[k]; j++,k++)
			;
		if(t[k] == '\0')
			return(i);
	}
	return(-1);
}

prinout()
{
	char *cp,*ep;
	
	cp=prinbuf;
	while(*cp) write(outfd,cp++,1);
	for(ep=prinbuf;ep < cp;ep++) *ep='\0';
}

sndupkil()
{
	sprintf(prinbuf,"+,+,+,");
	prinout();
	for(;;);
}
char *lowcase(stng)			/*W2XO 8-11-87*/
	char *stng;
{
	char *strpnt;
	
        strpnt=stng;
	do
		*strpnt = isupper(*strpnt) ? tolower(*strpnt) : *strpnt;
	while(*strpnt++);
	return(stng);				/*return the original string*/
}

char *upcase(stng)			/*W2XO 8-11-87*/
	char *stng;
{
	char *strpnt;
	
        strpnt=stng;
	do
		*strpnt = islower(*strpnt) ? toupper(*strpnt) : *strpnt;
	while(*strpnt++);
	return(stng);				/*return the original string*/
}


stringcpy(s,t,n)
	char *s,*t;
	int n;
{
	int i;
	i=0;
	while((t[i] != ' ') && (i < n)){
		s[i]=t[i];
		i++;
	}
	s[i]='\0';
}


