(*===========================================================================*)
(* Handle action files                                                       *)
(*                                                                           *)
(*   Copyright 1990, 1991, 1992 by H. Roy Engehausen.  All rights reserved.  *)
(*                                                                           *)
(*===========================================================================*)

{$UNDEF DEBUG1}
{$UNDEF DEBUG2} (* Debug action word processor *)
{$UNDEF DEBUG3} (* Debug allocate/free         *)
{$UNDEF DEBUG4}
{$UNDEF DEBUG5} (* Debug options *)

{$DEFINE POINT_CHK}
{$DEFINE FREE_CHK}

{$O+}

UNIT BBACT;

INTERFACE

  PROCEDURE action_cmd (cmd_string  : STRING);
  PROCEDURE load_action(execute_who : CHAR);
  PROCEDURE free_action;

IMPLEMENTATION

USES
  CRT,
  DOS,
  bbdummy,
  bbkmc,
  bbmem,
  bbmdata,
  bbmess,
  bbmf,
  bbmisc2,
  bbmisc3,
  bbrmc,
  bbrunerr,
  bbsdata,
  bbsearch,
  bbsema2,
  bbtask,
  bbtrace,
  bbsto,
  bbstr;

{$I BBACTM.PAS}  (* Miscellaneous              *)
{$I BBACTC.PAS}  (* Action command processor   *)
{$I BBACTF.PAS}  (* Free action control blocks *)
{$I BBACTL.PAS}  (* Load action file           *)

END.

