(*===========================================================================*)
(* Control Block -- File Element                                             *)
(*                                                                           *)
(*   Copyright 1988 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*===========================================================================*)

(*---------------------------------------------------------------------------*)
(* File element -- Used for input and output of files -- Pointed to by TCB   *)
(*---------------------------------------------------------------------------*)

TYPE
     fe_ptr = ^fe;

     fe = RECORD                        (* File mappings                     *)

            fe_size : LONGINT;
            fe_type : BOOLEAN;          (* True = Binary                     *)

            CASE BYTE OF
              0: (fe_text : TEXT);
              1: (fe_bin  : FILE);

          END;
