(*===========================================================================*)
(* Control Block -- Operations mode                                          *)
(*                                                                           *)
(*   Copyright 1990 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*===========================================================================*)

(*===========================================================================*)
(* Operating mode                                                            *)
(*===========================================================================*)

TYPE
  op_mode = RECORD
               mode_fwd_emer    :BOOLEAN;  (* Forward emergency traffic only *)
               mode_fwd_nonts   :BOOLEAN;  (* Don't forward NTS              *)
               mode_acc_emer    :BOOLEAN;  (* Accept emergency traffic only  *)
               mode_acc_nonts   :BOOLEAN;  (* Don't accept nts               *)
               mode_e_users     :BOOLEAN;  (* E mode users only              *)
               mode_user_change :BOOLEAN;  (* Allow user to change call      *)
               mode_stop_connect:BOOLEAN;  (* Don't allow connects           *)
               mode_stop_fwd    :BOOLEAN;  (* Don't allow forward            *)
            END;
