(*===========================================================================*)
(* Control Block -- Access control                                           *)
(*                                                                           *)
(*   Copyright 1991 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*===========================================================================*)

(*---------------------------------------------------------------------------*)
(* Access block                                                              *)
(*---------------------------------------------------------------------------*)

TYPE
  access_block_ptr   = ^access_block_type;

  access_block_type  = RECORD
                         access_flags : BYTE;
                       END;

(*---------------------------------------------------------------------------*)
(* Access flags                                                              *)
(*---------------------------------------------------------------------------*)

CONST

  access_f_sysop     = $80;    (* User authentication as remote sysop requird*)
  access_f_bbs       = $40;    (* User authentication as BBS required        *)
  access_f_user      = $20;    (* User authentication required               *)
  access_f_user_send = $10;    (* User authentication required for send      *)

  access_letter_group : str4
                     = 'RBAS'; (* Letters representing each flag in order    *)

