(*===========================================================================*)
(* Console I/O -- Non-overlay                                                *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991 by H. Roy Engehausen.  All rights      *)
(*   reserved.                                                               *)
(*                                                                           *)
(*   This software may be freely distributed and used, but it may not        *)
(*   under any circumstances be sold by anyone other than the author.        *)
(*   It may be distributed by a commercial company as long as it is          *)
(*   for no cost.                                                            *)
(*                                                                           *)
(*===========================================================================*)

UNIT BBCONIO;

INTERFACE

  FUNCTION operator_io_loop : BOOLEAN;

IMPLEMENTATION

USES
  CRT,
  bbconsl,
  bbtask;


(*===========================================================================*)
(* Get I/O for operator.                                                     *)
(*   FALSE means do a key stroke                                             *)
(*   TRUE means loop ended normally                                          *)
(*===========================================================================*)

  FUNCTION operator_io_loop : BOOLEAN;

    BEGIN;

      operator_io_loop := FALSE;

      WHILE NOT (opr_line_done OR operator_line_c) DO
        BEGIN;
          task_switch;

          IF KEYPRESSED THEN
            EXIT;

        END;

      operator_io_loop := TRUE;

    END;

END.
