(*===========================================================================*)
(* Receive files from the TNC or disk to disk                                *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991, 1992 by H. Roy Engehausen.  All       *)
(*   rights reserved.                                                        *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

UNIT BBFIN;

INTERFACE

  USES
    bbdummy;

PROCEDURE in_text_file(fileid    : file_name_str;
                       head_scan : BOOLEAN);

FUNCTION  scan_head(in_str : STRING;
                    VAR calls_scanned : STRING;
                    VAR dupe_cnt : WORD) : BOOLEAN;

IMPLEMENTATION

  USES
    CRT,
    DOS,
    bbfu,
    bbmdata,
    bbmem,
    bbmess,
    bbmisc,
    bbmisc2,
    bbrdata,
    bbsema2,
    bbstr,
    bbsdata,
    bbtime;

CONST
  eof_chars1 : STRING[3] = '/EX';
  eof_chars2 : STRING[5] = '/EXIT';

  {$I BBFIN1.PAS}  (* Contains subroutine to get file     *)
  {$I BBFIN2.PAS}  (* Contains subroutine to scan headers *)

END.
