(*===========================================================================*)
(* File subsystem -- miscellaneous                                           *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991 by H. Roy Engehausen.  All rights      *)
(*   reserved.                                                               *)
(*                                                                           *)
(*===========================================================================*)

UNIT BBFSM;

INTERFACE

  USES
    bbdummy;

  TYPE
    fsb_name_str          = STRING[10];

    fsb_ptr               = ^file_subsys_block;

    file_subsys_block     = RECORD
                              next_fsb        : fsb_ptr;
                              fsb_name        : fsb_name_str;
                              fsb_alias       : STRING[60];
                              fsb_desc        : STRING[60];
                              fsb_path        : file_name_str;
                              fsb_f_subdir_ok : BOOLEAN;
                              fsb_binary      : BOOLEAN;
                              fsb_up          : user_class_type;
                              fsb_down        : user_class_type;
                            END;

  VAR
    fsb_base : fsb_ptr;

  IMPLEMENTATION

END.
