(*===========================================================================*)
(* Forwarding -- non-overlay                                                 *)
(*                                                                           *)
(*   Copyright 1991 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*   This software may be freely distributed and used, but it may not        *)
(*   under any circumstances be sold by anyone other than the author.        *)
(*   It may be distributed by a commercial company as long as it is          *)
(*   for no cost.                                                            *)
(*                                                                           *)
(*===========================================================================*)

UNIT BBFWDN;

INTERFACE

  USES
    bbdummy;

  PROCEDURE wait_for_dead_task(t : tcb_ptr);

IMPLEMENTATION

  USES
    bbtask;

  PROCEDURE wait_for_dead_task(t : tcb_ptr);
    BEGIN;
      WHILE NOT task_is_dead(t) DO
        task_switch;
    END;

END.
