(*===========================================================================*)
(* Forward task -- Slave -- Part 2                                           *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1990, 1991, 1992 by H. Roy Engehausen.  All       *)
(*   rights reserved.                                                        *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

{$DEFINE POINT_CHK}
{$UNDEF DEBUG_SIZE} (* Debug SIZE operand *)

UNIT BBFWDT;

INTERFACE

USES
  bbdummy,
  bbfwdd;

PROCEDURE forward_this_one   (path_common : path_block_ptr;
                              this_one    : msg_pi_ptr);

PROCEDURE forward_wait_prompt(path_common : path_block_ptr;
                              first_prompt : BOOLEAN);

PROCEDURE forward_rev(path_common : path_block_ptr);

IMPLEMENTATION

USES
  bbanswer,
  bbbpa,
  bbfssf,
  bbfwdr,
  bbfu,
  bblc,
  bblog,
  bbmdata,
  bbmess,
  bbmf,
  bbmisc,
  bbmisc3,
  bbmisc4,
  bbrdata,
  bbsdata,
  bbsema2,
  bbsess,
  bbsmc,
  bbsrt,
  bbstack,
  bbstr,
  bbtask,
  bbtime,
  bbtrace,
  bbwin,
  match;

{$I BBFWDSPR.PAS}            (* Wait for a prompt                            *)
{$I BBFWDSTH.PAS}            (* Forward this one                             *)
{$I BBFWDSRV.PAS}            (* Reverse forward                              *)

END.
