(*===========================================================================*)
(* Miscellaneous subroutines for message add                                 *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1991 by H. Roy Engehausen.  All rights reserved.  *)
(*                                                                           *)
(*===========================================================================*)

(*===========================================================================*)
(* Bid generate -- Subroutine for add message.  Sees if Bid to be generated. *)
(*===========================================================================*)

PROCEDURE bid_gen;

  BEGIN;

    WITH active_tcb^.curr_msg.msg_i_mb, opt_block DO
      BEGIN;

        IF NOT bid_forced THEN
          BEGIN;

            bid_is_dupe := FALSE;

            IF (msg_type = mt_private) AND ((msg_flag AND mf_fwd_list) = 0)
                      AND (NOT opt_bid_for_p) THEN
              EXIT;

            IF (msg_type = mt_nts) AND NOT opt_bid_for_t THEN
              EXIT;

            IF (msg_type = ' ') AND ((msg_flag AND mf_fwd_list) = 0)
                      AND (NOT opt_bid_for_blank) THEN
              EXIT;

          END;

        msg_bid := bid_build_add(@active_tcb^.curr_msg.msg_i_mb, bid_is_dupe);

      END;

  END;
