(*===========================================================================*)
(* Operator task                                                             *)
(*                                                                           *)
(*   Copyright 1988, 1989, 1991 by H. Roy Engehausen.  All rights reserved.  *)
(*                                                                           *)
(*===========================================================================*)

UNIT BBOPR;

INTERFACE

USES
  bbdummy;

PROCEDURE operator_task_start;

IMPLEMENTATION

USES
  CRT,
  bbconsl,
  bbocmd,
  bbrdata,
  bbsdata,
  bbstr,
  bbtask,
  bbwin;

(*===========================================================================*)
(* Never ending loop that runs the operator                                  *)
(*===========================================================================*)

PROCEDURE operator_task_start;

  VAR
    op_line_in : STRING;

  BEGIN;

    (*-----------------------------------------------------------------------*)
    (* Setup                                                                 *)
    (*-----------------------------------------------------------------------*)

    opr_window_open  := FALSE;

    op_busy      := FALSE;

    (*-----------------------------------------------------------------------*)
    (* Neverending loop                                                      *)
    (*-----------------------------------------------------------------------*)

    WHILE TRUE DO
      BEGIN;

        task_switch;

        op_line_in := read_tnc_data_str;

        op_busy      := TRUE;
        execute_opr_command(@op_line_in);
        op_busy      := FALSE;

        send_flush;

      END;

  END;

END.
