(*===========================================================================*)
(* Operator task -- Other commands                                           *)
(*                                                                           *)
(*   Copyright 1990, 1991 by H. Roy Engehausen.  All rights reserved.        *)
(*                                                                           *)
(*===========================================================================*)

{$O+}

UNIT BBOPRO;

INTERFACE

PROCEDURE oper_ec          (cmd_in : STRING);

PROCEDURE oper_ep          (cmd_in : STRING);

PROCEDURE set_clock        (cmd_string : STRING);

PROCEDURE file_name_change (cmd_string : STRING);

PROCEDURE non_busy_shut    (cmd_string : STRING);

IMPLEMENTATION

  USES
    CRT,
    DOS,
    bbdummy,
    bbmdata,
    bbmess,
    bbmisc,
    bbmisc2,
    bbmisc5,
    bbrdata,
    bbsdata,
    bbstr;

  (*=========================================================================*)
  (* Return ON or OFF                                                        *)
  (*=========================================================================*)

  FUNCTION  on_or_off(b : BOOLEAN) : str8;
    BEGIN;
      IF b THEN
        on_or_off := 'ON' + cr
      ELSE
        on_or_off := 'OFF' + cr;
    END;

{$I BBOPROEC}  (* Edit control      *)
{$I BBOPROEP}  (* Edit port         *)
{$I BBOPROCL}  (* Clock             *)
{$I BBOPROCF}  (* Change file name  *)
{$I BBOPROSH}  (* Non busy shutdown *)

END.
