(*===========================================================================*)
(* LTIME subroutine                                                          *)
(*                                                                           *)
(*   Copyright 1992 by H. Roy Engehausen.  All rights reserved.              *)
(*                                                                           *)
(*===========================================================================*)

{$UNDEF   DEBUG_LT}

PROCEDURE l_time_set;

  VAR
    b : BOOLEAN;
    l : LONGINT;

  BEGIN;

    IF word_count > 2 THEN
      BEGIN;
        send_message(message_err_wrd);
        active_tcb^.error_sw := TRUE;
        EXIT;
      END;

    IF word_count < 2 THEN
      BEGIN;
        send_message(message_not_en);
        active_tcb^.error_sw := TRUE;
        EXIT;
      END;

    cmd_string := upcase_str(subword(@cmd_string, 2, 1));

    {$IFDEF DEBUG_LT}
      WRITELN('Time in = :', cmd_string, ':');
    {$ENDIF}

    IF cmd_string = 'NOW' THEN
      l := current_day_time
    ELSE
      BEGIN;
        l := time_unstr(cmd_string, b);

        IF b THEN
          BEGIN;
            send_message(message_bad_date);
            EXIT;
          END;
      END;

    active_tcb^.uid_data.user_l_time := l;
    active_tcb^.last_l_time          := l;

  END;
