/*
   comp.c : Copyright Paul Healy, EI9GL, 1992.

   911215 : Created
   920804 : Replaced mostly with calls to fns in mailer.c
*/
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include "config.h"
#include "pc.h"
#include "rc.h"
#include "misc.h"
#include "help.h"
#include "send.h"
#include "header.h"
#include "mailer.h"
#include "buf.h"
#include "mailfile.h"
#include "bmh.h"

#ifdef BMH
#define main comp_main
#endif

int
main(int argc, char *argv[])
{
   char filename[MAXNAMLEN];

   if (dohelp(argc, argv, "comp (compose mail)"))
      return 0;

   if (getrc(editor) == NULL) {
      int ret;

      ret = mail_main(argc, argv);

      if (feof(stdin))
         if ( freopen("/dev/con", "r", stdin) != stdin)
            fprintf(stderr, "mail: failed to reopen stdin (%d)\n", feof(stdin));

      return ret;
      }

   if ( (mktemplate("comp", filename, "", "", "", 1) == -1) ||
        (call_ed("comp", filename) == -1)
      ) {
      unlink(filename);
      return -1;
      }

   return dowhatnow("comp", filename, dosend);
}
