/*
   config.h: Copyright 1993, Paul Healy

   930201 : Created
*/
#ifndef _config_h_
#define _config_h_

#define MSDOS 1         /* Turbo C v2.0, or Borland C++ v3.1 */

typedef unsigned char uchar;

#define MAIL    1       /* include code for sending mail */
#define NEWS    1       /* include code for sending news */
#define EXPIRY  1       /* include expiry code */
#define AX25BBS 1       /* include code to support ax25 bbs style operation */
#undef  SWAP    1       /* use the Ralph Brown swap out spawn code */
#define INDEX   1       /* include JNOS style mail file indexing */

#define DAYFIRST 1      /* Euro style dates by default */


#ifdef MSDOS
#define RUNCOM "bm.rc"  /* config file */   
#define EXT ".txt"      /* mail file extension */

#define BUFSIZE      "35840" /* internal mail file buffer */
#define STACKSIZE      4096  /* defaults to 4k */
#define STDOUT_BUFSIZE 1536
#define HDRBUFLEN      1536
#define HDRMAXLEN       512  /* individual header can grow to this size only */
#define MAXNAMLEN       128  /* filenames can be this long */
#define LINELEN         256  /* rfc822 suggests that 1000 is suitable */
#define MAXARGS          50

#define APPEND  "ab"
#define WRITE   "wb"
#define READ    "wb"

#else /* something else with lots of memory */

#define RUNCOM ".bmrc"  
#define EXT ""
#define BUFSIZE        "409600"
#define STDOUT_BUFSIZE    4096
#define HDRBUFLEN        20480
#define HDRMAXLEN         5120
#define MAXNAMLEN          512
#define LINELEN           2048
#define MAXARGS             50

#define APPEND  "a"
#define WRITE   "w"
#define READ    "w"

#endif 

#endif /* _config_h_ */
