/* dirutil.c
 *        MS-Dos directory reading stuff.
 *        A.D. Barksdale Garbee II, aka Bdale, N3EUA
 *        Copyright 1986 Bdale Garbee, All Rights Reserved.
 *        Permission granted for non-commercial copying and use, provided
 *        this notice is retained.
 */

/*
   Based on an idea or two from Bob Hartman.
   Assumes Aztec C Compiler and libraries... very PC specific!
   Simplified by Phil Karn
*/
#include <stat.h>
#define        NULLCHAR        ((char *)0)

/* wildcard filename lookup */
filedir(name,times,ret_str)
char *name;
int times;
char *ret_str;
{
        char *cp,*cp1;
        static struct {
                char rsvd[21];
                char attr;
                long ftime;
                long fsize;
                char fname[13];
        } sbuf;

        bdos (0x1a, &sbuf);        /* Set disk transfer address */
        /* Find matching file */
        if(dos (times == 0 ? 0x4e : 0x4f, 0, ~ST_VLABEL, name, 0, 0) == -1) 
                sbuf.fname[0] = '\0';

        /* Copy result to output, forcing to lower case */
        for(cp = ret_str,cp1 = sbuf.fname; *cp1 != '\0';)
                *cp++ = tolower(*cp1++);
        *cp = '\0';
}

