#include <stdio.h>
#ifndef SYS5
#include <stat.h>

#define REGFILE	(ST_HIDDEN|ST_SYSTEM|ST_DIRECT)
#define	SET_DTA		0x1a
#define	FIND_FIRST	0x4e
#define	FIND_NEXT	0x4f

struct dirent {
	char rsvd[21];
	char attr;
	short ftime;
	short fdate;
	long fsize;
	char fname[13];
};
#endif /* SYS5 */

/* wildcard filename lookup */
filedir(name,times,ret_str)
char *name;
int times;
char *ret_str;
{
#ifndef SYS5
	register char *cp,*cp1;
	static struct dirent sbuf;

	bdos(SET_DTA,&sbuf);	/* Set disk transfer address */
	/* Find matching file */
	if(dos(times == 0 ? FIND_FIRST:FIND_NEXT,0,REGFILE,name,0,0) == -1) 
		sbuf.fname[0] = '\0';

	/* Copy result to output, forcing to lower case */
	for(cp = ret_str,cp1 = sbuf.fname; cp1 < &sbuf.fname[13] && *cp1 != '\0';)
		*cp++ = tolower(*cp1++);
	*cp = '\0';
}
#else
	static FILE	 *dirp = NULL;
	register char *cp;
	char tmp1[128];
	char tmp2[128];
	char *strchr(), *strrchr();

	ret_str[0] = NULL;
	if (name == (char *)0 || name[0] == '\0')
		name = "*";

	sprintf(tmp1, "ls %s 2> /dev/null", name);
	if (times == 0) {
		if (dirp)
			pclose(dirp);
		if ((dirp = popen(tmp1, "r")) == NULL) {
			fprintf(stderr, "ER: popen failed\n");
			return;
		}
	}
	if (fgets(tmp2, 126, dirp) == NULL)
		return;
	if (cp = strchr(tmp2, '\n'))
		*cp = NULL;
	if (cp = strrchr(tmp2, '/'))
		cp++;
	else
		cp = tmp2;
	strcpy(ret_str, cp);
}
#endif /* SYS5 */
