#include <stdio.h>
#include <modes.h>

extern char *malloc();



onebyte(fp)
register FILE *fp;
{
	register int res;
	res = onenib(fp) << 4;
	res |= onenib(fp);
	return res;
}


onenib(fp)
FILE *fp;
{
	register char c;
	c = getc(fp);
	if (c>='A')
	  return c - 'A' + 10;
	else
	  return c - '0';
}


main(argc,argv)
int argc;
char *argv[];
{
	register int bcount, addr;
	
	int binin, binout, insize;
	FILE *hexfp;
	char *inbuf, c;

	if ( (binin=open(argv[1], S_IREAD)) < 0 )
		exit(_errmsg(errno,"can't open '%s' - ", argv[1]));

	if ( (hexfp=fopen(argv[2], "r")) == NULL )
		exit(_errmsg(errno,"can't open '%s% - ", argv[2]));

	if ( (binout=creat(argv[3], S_IREAD+S_IWRITE)) < 0 )
		exit(_errmsg(errno,"can't open '%s' - ", argv[3]));
	
	insize = _gs_size(binin);
	inbuf  = malloc(insize);

	read(binin, inbuf, insize);

	while ( (c=getc(hexfp)) != EOF ) {
		if (c != ':')
			formerr(1);
		bcount = onebyte(hexfp);
		addr   = onebyte(hexfp) << 8;
		addr  |= onebyte(hexfp);
		if (onebyte(hexfp))  /* EOF-Record */
			break;
		while (--bcount >= 0)
			inbuf[addr++] = onebyte(hexfp);
		onebyte(hexfp);
		if (getc(hexfp) != '\n')
			formerr(2);
	}

	write(binout, inbuf, insize);
	close(binout);
}


formerr(inx)
{
	exit(_errmsg(1,"format error #%d on input file.\n", inx));
}
