;==========================================================================;
; Information for the KA9Q KISS mode                                       ;
;==========================================================================;

; Special characters

kiss_fend    EQU      0C0H          ; Frame end
kiss_fesc    EQU      0DBH          ; Frame escape
kiss_tfend   EQU      0DCH          ; Transposed Frame End
kiss_tfesc   EQU      0DDH          ; Transposed Frame Escape

; Packet types to TNC

kiss_data    EQU      000H          ; Data frame
kiss_txd     EQU      001H          ; TXDELAY
kiss_persist EQU      002H          ; P
kiss_slot    EQU      003H          ; Slot time
kiss_txtail  EQU      004H          ; Tail time
kiss_duplex  EQU      005H          ; Duplex switch
kiss_hardwar EQU      006H          ; Hardware switch -- used for modem speed
kiss_last_type EQU    006H          ; Last regular mode
kiss_escape  EQU      0FFH          ; Escape to another mode
