/*
   next.c : Copyright Paul Healy, EI9GL, 1992.

   920712 : Created
*/
#include <stdio.h>
#include "config.h"
#include "buf.h"
#include "mailfile.h"
#include "bmh.h"
#include "help.h"

#ifdef BMH
#define main next_main
#endif

int
next(Mailfile *m, int argc, char *argv[])
{
   if (mail_getfile(m, argc, argv, "next") == -1)
      return -1;

   mail_setcur(m, mail_curmsg(m)+1);

   return show(m, 1, argv);
}

int
main(int argc, char *argv[])
{
   Mailfile m;

   if (dohelp(argc, argv, "next (show next message)"))
      return 0;

   mail_zero(&m);

   next(&m, argc, argv);

   return mail_savestate(&m);
}
