/*
   pc.h : Copyright Paul Healy, EI9GL, 1992.

   920601 : Created.
*/
#ifndef _pc_h_
#define _pc_h_

extern unsigned char _dvmajor;
extern unsigned char _dvminor;
extern unsigned char _cputype;
extern unsigned char _dpmimajor;
extern unsigned char _dpmiminor;

int cedpresent(void);
int dvpresent(void);
int dpmipresent(void);

#ifdef __TURBOC__
#ifndef __DOS_DEF_
#include <dos.h>
#endif
#ifndef __DIR_DEF_
#include <dir.h>
#endif
#ifndef __VIDEO
#include <conio.h>
#endif
#ifndef O_RDONLY	
#include <fcntl.h>
#endif
#ifndef P_WAIT
#include <process.h>
#endif
#ifndef _IO_H
#include <io.h>
#endif
#include <alloc.h>
#endif

char *getline(char *line, int size);

#define STRINGLENGTH 13

typedef char String[STRINGLENGTH];

typedef struct {
   String *buf;
   int num, ptr;
   } Directory;

void setvideo(char *s);
void filedir(char *name, int times, char *ret_str);

int dir_init(Directory *d, char *pattern);
char *dir_read(Directory *d);
int dir_fin(Directory *d);

long filelen(char *filename);

int kbready(void);

int deschedule(void);

#endif


