MODEL        equ        0
        include lmacros.h
        assume        ds:dataseg
        public        intds,sssave,spsave,intds,intstk,doret

; pc0vec - PC-100 card #0 interrupt handler
        public        pcint_,pc0vec_

pc0vec_        proc        far
        push        ds                ; save on user stack
        mov        ds,cs:intds        ; establish interrupt data segment

        mov        ds:sssave,ss        ; stash user stack context
        mov        ds:spsave,sp

        mov        ss,cs:intds        ; set up interrupt stack
        lea        sp,intstk+512

        push        ax                ; save user regs on interrupt stack
        push        bx
        push        cx
        push        dx
        push        bp
        push        si
        push        di
        push        es
        mov        es,cs:intds        ; set up es reg, so di can be used!!

        mov        ax,0                ; arg for service routine
        push        ax
        call        pcint_
        pop        ax
        jmp        doret
pc0vec_        endp

        end

