/*
   rc.h

   930113 : Removed non-relevant options, bu K.Krallis SV1XV.
   920603 : Created by P.Healy EI9GL.
*/
#ifndef _RC_H_
#define _RC_H_

typedef enum {
      editor,      /* user's favorite text editor */
      folder,      /* directory for saveing read mail */
      fullname,    /* fullname of this user from rc file */
      hostname,    /* name of this host from rc file */
      mqueue,      /* mqueue outbound directory */
      newsdir,     /* news directory */
      organ,       /* nntp organization header */
      replyto,     /* address for reply-to header */
      rewrite,     /* rewrite file */
      signature,   /* location of sig file */
      spooldir,    /* spool directory - areas file etc */
      screen,      /* screen access mode under Turbo C */
      source,      /* pull in rc info from another file */
      tsbids,      /* add time stamp to bids in history file */
      tmpdir,      /* directory for temporary files */
      username,    /* name of this user from rc file */
      last_var
   } UserVar;

int loadconfig(void);
char *getrc(UserVar u);

#endif
