/* server.h */

/* types of lines in mailbox file */
#define LT_RCVD                01
#define LT_OTHER        02
#define LT_BLANK        03

/* states we can be in */
#define OTHER        0
#define RCVD        1
#define NHDR        2
#define NBODY        3

/* the state transition table:
      \ lines        other                rcvd                blank                
      states \- - - - - - - - - - - - - - - - - - - 
                   |
                other        other                rcvd                other

                rcvd        rcvd                rcvd                rcvd

                nhdr        other                other                nbody
                                          (write msg header) (parse from/subj)

                nbody        other                other                nbody
                                            (write line to message file )
*/

