extern int mode;
#define        CMD_MODE        1        /* Command mode */
#define        CONV_MODE        2        /* Converse mode */

/* Session control structure; only one entry is used at a time */
struct session {
        int type;
#define        FREE        0
#define        TELNET        1
#define        FTP        2
        char *name;        /* Name of remote host */
        union {
                struct ftp *ftp;
                struct telnet *telnet;
        } cb;
        int (*parse)();        /* Where to hand typed input when conversing */
};
#define        NULLSESSION        (struct session *)NULL
extern struct session sessions[];

extern struct session *current;
extern int16 lport;

