#
#	Makefile for Bdale's Mailer
#	
#	for more info see bm.doc and smtp.doc in the documentation package
#	if you change the makefile, do a make clean before you do a make.
#	This makefile for Microsoft C using ndmake.
#

CFLAGS= -O -Z -d -DMSDOS -Dprintf=cprintf
HDRS=	bm.h header.h
OBJS=	main.obj send.obj pc.obj bmutil.obj version.obj header.obj \
	files.obj getopt.obj

all:	bm.exe 
	
bm.exe:  $(OBJS)
	tcc -ebm $(OBJS)

clean:
	del *.obj

clobber: clean
	del *.exe
#
# dependencies - please keep up to date!
#
bmutil.obj:	bmutil.c bm.h header.h
pc.obj:	pc.c
main.obj: 	main.c bm.h
send.obj:	send.c bm.h
header.obj:	header.c header.h
files.obj:	files.c
getopt.obj:	getopt.c

.c.obj:
	tcc -c ${CFLAGS} $<
.SUFFIXES: .exe .obj .c .asm
