/* Dump an IP datagram header. If it's the first fragment, also dump
 * the next layer header (if known). Dumping is controlled by the low-order
 * 4 bits of the external variable "trace":
 * Level 0: no dump
 * Level 1-2: link level dumps only
 * Level 3: IP and ARP dumps only
 * Level 4: IP header + UDP or TCP header
 * Level 5: All headers + hex dump
 */
extern int32 trace;


#define        TRACE_SMTP        0x10000l
#define TRACE_AX25      0x8000l
#define TRACE_EC        0x4000l
#define TRACE_PC100     0x2000l
#define TRACE_SLIP      0x1000l
#define TRACE_SDLC      0x0800l
#define TRACE_SELF        0x0400l
#define        TRACE_BDCST        0x0200l

#define TRACE_HDR       0x0fl
#define TRACE_DUMP      0x10l
#define TRACE_ASCII        0x20l
#define TRACE_CMDPARSE  0x80000000l

