/* version.h	Define the current version number
 *
 * Copyright 1991, Michael Westerhof, Sun Microsystems, Inc.
 * This software may be freely used, distributed, or modified, providing
 * this header is not removed.
 *
 *
 * The first digit represents the major release (0 is a prototype release)
 *
 * The second represents major changes that might affect configuration
 * file formats or compilation sequences, or anything that may make
 * existing setups change.
 *
 * The last digit(s) marks simple bug fixes.
 *
 */

#define VERS "Version 0.3.0 of 11 Jun 91"

/*
 *  HISTORY:
 *
 *	0.2.1	First distribution.
 *
 *	0.2.2	Comments, documentation, increased routing table to 128.
 *
 *	0.3.0	Added the "myalias" stuff, and began work on a beacon
 *		mechanism.
 *		Added support for the SIGHUP signal.  Now a "kill -1 <pid>"
 *		will make ax25ip re-read the config file and restart.
 *
 */
