#include <stdio.h>
#include <fcntl.h>


struct mbuserrec
{
  char call[6];     /* Users call			   */
  char date[6];     /* Date of last logout		   */
  char time[4];     /* Time of last logout		   */
  short msg_number;  /* Last message # at last login	   */
  char ssid;	    /* First character of ssid		   */
  char unu1;
  char handle[12];  /* Users name			   */
  char options;     /* Permissions			   */
  char port;	    /* Port user last connected, L if link */
  char path[79];   /* NULL terminated string		   */
  short log_count;   /* Number of times user has connected  */
  char home_bbs[6]; /* Users home bbs			   */
  short rn;	    /* Record number, zero if not valid    */
  char unu2[3];
};

    struct userrecord{
        char call[8];
        char type;
        int  highest;
        char name[20];
        char dat[8];
    };

main()
{
	int xofd,mbfd,recnum;
	static struct userrecord xorec;
	static struct mbuserrec mbrec;
		
	if((mbfd=open("/u/bbs/user.dat",O_RDONLY)) < 0 ){
		printf("Cant open mb user file\n");
		exit(1);
	}
	if((xofd=open("/u/newbbs/xouserfile",O_WRONLY|O_CREAT)) < 0){
		printf("Cant open xo user file\n");
		exit(1);
	}

	recnum=1;
	while(getrec(mbfd,recnum,&mbrec,sizeof(mbrec))){
		stringcpy(xorec.call,mbrec.call,6);
		stringcpy(xorec.dat,mbrec.date,6);
		xorec.highest=mbrec.msg_number;
		stringcpy(xorec.name,mbrec.handle,12);
		putrec(xofd,recnum,&xorec,sizeof(xorec));
		recnum++;
	}
	strcpy(xorec.call,"******\0");
	xorec.highest=recnum;
	putrec(xofd,0,&xorec,sizeof(xorec));
}

stringcpy(s,t,n)
	char *s,*t;
	int n;
{
	int i;
	i=0;
	while((t[i] != ' ') && (i < n)){
		s[i]=t[i];
		i++;
	}
	s[i]='\0';
}

/*PUTREC places a record in the file at location RECNUM. Location is determined
	by multiplying the record size by the record number*/


putrec(fd,recnum,rec,size)	/*put a record in the file at the given pos*/
    int fd,recnum;		/*agrs file descrip,rec number and pointer to*/
				/*record*/
    char *rec;
    int size;
{

    long offst;
    int fp;
 
    offst=(long)recnum*(long)size;
    lseek(fd,offst,0);
    return(write(fd,rec,size));
}

/*GETREC gets a record from the file. It operation may be inferred by
	studying PUTREC. GETREC reads the record into the address given
	by the third argument, pointer REC*/

getrec(fd,recnum,rec,size)		/*get a record from the file described by*/
    int fd,recnum;		/*fp and return error code*/
    char *rec;
    int size;
{
    long offst;

    offst=(long)recnum*(long)size;
    lseek(fd,offst,0);
    return(read(fd, rec, size));
}

